<?php

    namespace Extensions\Seeders;

    use App\Models\QuoteSection;
    use Illuminate\Database\Seeder;

    class QuoteSectionsTableSeeder extends Seeder
    {
        public function run()
        {
            QuoteSection::create([
                'id' => 4,
                'name' => 'Intro Paragraph',
                'template_path' => 'intro',
                'content' => '<p>Dear [contact_name],</p><br /><p>Further to our meeting where we discussed the (----------------------------), I now have pleasure in submitting a quotation for your consideration.</p><br />',
                'editable' => 1
            ]);

            QuoteSection::create([
                'id' => 8,
                'name' => 'Emergency cover and breakdown call outs',
                'template_path' => 'emergencyCover',
                'content' => '<h3>Emergency cover and breakdown call outs</h3><p>For contract customers breakdown response time is usually less than 24 normal working hours, for standard response. If better than 24 hour response is required, this would incur additional costs.</p><p>Call outs are chargeable according to normal or out of hours working, as appropriate.</p><p>All call outs will be charged with a minimum of 1 hour on site, plus travel, mileage and expenses.</p><p><br></p><p><strong>Normal working hours </strong>is considered between 0800 and 1700 hours Monday – Friday (excluding bank holidays) with an hourly rate for travel and time on site at £91.00 per hour, and mileage at £0.98p per mile.</p><p><br></p><p><strong>Out of hours</strong> is considered between 0500 to 0800 and 1700 to 2200 hours Monday – Friday with an hourly rate for travel and time on site at £137.00 per hour, and mileage at £0.98p per mile.</p><p><br></p><p><strong>Saturday, Sunday and Bank Holidays</strong> between 0800 and 1700 hours (including weekdays between 2200 and 0500 hours) would be charged at £182.00 per hour, and mileage at £0.98p per mile.</p>',
                'editable' => 0
            ]);

            QuoteSection::create([
                'id' => 9,
                'name' => 'Note - contracts',
                'template_path' => 'note',
                'content' => '<h3>Note</h3><ul><li>An environmental disposal charge for all redundant materials removed from site will be charged (£5.00 minimum) depending on size / weight, unless the materials can be disposed of onsite.</li><li>Any abortive visits, waiting time or site inductions over 30 minutes will be charged extra at our hourly rates for normal or out of hours working, as appropriate.</li><li>Cancelations less than one clear working day in advance of the scheduled visit, may incur a 50% charge of the quoted price.</li><li>Call out charges will be reviewed yearly each December by Capital Water, and charged at the appropriate rate for the coming year (as required)</li></ul>',
                'editable' => 0
            ]);

            QuoteSection::create([
                'id' => 10,
                'name' => 'Exclusions',
                'template_path' => 'exclusions',
                'content' => '<p><strong>Exclusions: </strong>Parts (other than stated), Consumables (other than stated), Out of hours working (unless stated), Parking, Toll and Congestion charges, Environmental disposal charge, Delivery and VAT</p><br />',
                'editable' => 0
            ]);

            QuoteSection::create([
                'id' => 12,
                'name' => 'Ending Content',
                'template_path' => 'exclusions',
                'content' => '<p>Quote valid for 30 days from above date. Payment terms strictly 30 days from date of invoice for account customers. Credit accounts subject to satisfactory credit checks.</p><br /><p>I trust this meets with your approval, but if you have any questions please feel free to contact me.</p><br />',
                'editable' => 0
            ]);

            QuoteSection::create([
                'id' => 13,
                'name' => 'Signature',
                'template_path' => 'signature',
                'content' => '',
                'editable' => 0
            ]);

            QuoteSection::create([
                'id' => 14,
                'name' => 'Footer',
                'template_path' => 'footer',
                'content' => '<div style="margin-top: 20px"><img src="[url]/images/pages/logo.png" style="height: 30px; margin-right: 10px" /><img src="[url]/images/safe_contractor.jpg" style="height: 30px; margin-right: 10px" /><img src="[url]/images/aes_1.jpg" style="margin-right: 10px" /><img src="[url]/images/aes_2.jpg" /></div>',
                'editable' => 1
            ]);

            QuoteSection::create([
                'id' => 15,
                'name' => 'Footer Contact details',
                'template_path' => null,
                'content' => '',
                'editable' => 0
            ]);

            QuoteSection::create([
                'id' => 17,
                'name' => 'Note - non-contracts',
                'template_path' => 'note',
                'content' => '<p><strong>Note:</strong></p><ul><li>An environmental disposal charge for all redundant materials removed from site will be charged (£5.00 minimum) depending on size / weight, unless the materials can be disposed of onsite.</li><li>Any abortive visits, waiting time or site inductions over 30 minutes will be charged extra at our hourly rates for normal or out of hours working, as appropriate.</li><li>Cancelations less than one clear working day in advance of the scheduled visit, may incur a 50% charge of the quoted price.</li></ul>',
                'editable' => 0
            ]);

            QuoteSection::create([
                'id' => 23,
                'name' => 'Supply List',
                'template_path' => 'supplyList',
                'content' => '',
                'editable' => 1
            ]);

            QuoteSection::create([
                'id' => 24,
                'name' => 'Exclusions - Supply Only',
                'template_path' => 'exclusions',
                'content' => '<p><strong>Exclusions: </strong>Delivery and VAT</p>',
                'editable' => 0
            ]);

            QuoteSection::create([
                'id' => 25,
                'name' => 'Schedule of Equipment',
                'template_path' => null,
                'content' => '<p><strong>Schedule of Equipment</strong></p><ul><li><br></li></ul><br />',
                'editable' => 1
            ]);

            QuoteSection::create([
                'id' => 27,
                'name' => 'Intro Paragraph (Call out - Time and materials)',
                'template_path' => null,
                'content' => '<p>Dear [contact_name],</p><p>Further to the call out attended on (..................) to investigate issues with the (...............), please find below pricing</p><p>to cover the call out, as detailed in service report (...............).</p><p>Please could you arrange for a PO number to be supplied, to cover the costs indicated below.</p><p><br></p><p>Further to the works carried out on (..................) to repair / replace (...............), please find below pricing to cover</p><p>these works, as detailed in service report (...............).</p><p>Please could you arrange for a PO number to be supplied, to cover the costs indicated below.</p><p><br></p>',
                'editable' => 1
            ]);

        }
    }
