<?php

    namespace Extensions\Seeders;

    use App\Models\QuoteTemplate;
    use Illuminate\Database\Seeder;

    class QuoteTemplatesTableSeeder extends Seeder
    {
        public function run()
        {
            QuoteTemplate::create([
                'name' => 'Service Contract – Softener',
                'template_path' => 'cwtTemplate01',
                'structure' =>
                '
                    [
                        {
                            "title": "Intro Paragraph",
                            "type": "QuoteSection",
                            "templatePath": null,
                            "cost": null,
                            "costFrequency": null,
                            "discount": null,
                            "modified": 0,
                            "blockData": [
                                {
                                    "id": 4,
                                    "title": null,
                                    "content": null,
                                    "editable": 1,
                                    "templatePath": null,
                                    "status": null,
                                    "internalCost": "",
                                    "cost": null,
                                    "costFrequency": null,
                                    "discount": null,
                                    "quantity": null
                                }
                            ]
                        },
                        {
                            "title": "Schedule of Equipment",
                            "type": "QuoteSection",
                            "templatePath": null,
                            "cost": null,
                            "costFrequency": null,
                            "discount": null,
                            "modified": 0,
                            "blockData": [
                                {
                                    "id": 25,
                                    "title": null,
                                    "content": null,
                                    "editable": 1,
                                    "templatePath": null,
                                    "status": null,
                                    "internalCost": "",
                                    "cost": null,
                                    "costFrequency": null,
                                    "discount": null,
                                    "quantity": null
                                }
                            ]
                        },
                        {
                            "title": "Tier 1 - PPM Softener Service Contract",
                            "type": "Service",
                            "modified": 0,
                            "blockData": [
                                {
                                    "id": 3,
                                    "content": null,
                                    "editable": 1,
                                    "templatePath": null,
                                    "status": null,
                                    "internalCost": "",
                                    "cost": null,
                                    "costFrequency": null,
                                    "discount": null,
                                    "quantity": null
                                }
                            ]
                        },
                        {
                            "title": "Tier 2 – Softener Service Contract",
                            "type": "Service",
                            "modified": 0,
                            "blockData": [
                                {
                                    "id": 4,
                                    "content": null,
                                    "editable": 1,
                                    "templatePath": null,
                                    "status": null,
                                    "internalCost": "",
                                    "cost": null,
                                    "costFrequency": null,
                                    "discount": null,
                                    "quantity": null
                                }
                            ]
                        },
                        {
                            "title": "Optional – Multi-year Contract available on application",
                            "type": "Service",
                            "modified": 0,
                            "blockData": [
                                {
                                    "id": 11,
                                    "content": null,
                                    "editable": 1,
                                    "templatePath": null,
                                    "status": null,
                                    "internalCost": "",
                                    "cost": null,
                                    "costFrequency": null,
                                    "discount": null,
                                    "quantity": null
                                }
                            ]
                        },
                        {
                            "title": "Emergency cover and breakdown call outs",
                            "type": "QuoteSection",
                            "templatePath": null,
                            "cost": null,
                            "costFrequency": null,
                            "discount": null,
                            "modified": 0,
                            "blockData": [
                                {
                                    "id": 8,
                                    "title": null,
                                    "content": null,
                                    "editable": 0,
                                    "templatePath": null,
                                    "status": null,
                                    "internalCost": "",
                                    "cost": null,
                                    "costFrequency": null,
                                    "discount": null,
                                    "quantity": null
                                }
                            ]
                        },
                        {
                            "title": "Note",
                            "type": "QuoteSection",
                            "templatePath": null,
                            "cost": null,
                            "costFrequency": null,
                            "discount": null,
                            "modified": 0,
                            "blockData": [
                                {
                                    "id": 9,
                                    "title": null,
                                    "content": null,
                                    "editable": 0,
                                    "templatePath": null,
                                    "status": null,
                                    "internalCost": "",
                                    "cost": null,
                                    "costFrequency": null,
                                    "discount": null,
                                    "quantity": null
                                }
                            ]
                        },
                        {
                            "title": "Exclusions",
                            "type": "QuoteSection",
                            "templatePath": null,
                            "cost": null,
                            "costFrequency": null,
                            "discount": null,
                            "modified": 0,
                            "blockData": [
                                {
                                    "id": 10,
                                    "title": null,
                                    "content": null,
                                    "editable": 0,
                                    "templatePath": null,
                                    "status": null,
                                    "internalCost": "",
                                    "cost": null,
                                    "costFrequency": null,
                                    "discount": null,
                                    "quantity": null
                                }
                            ]
                        },
                        {
                            "title": "Ending Content",
                            "type": "QuoteSection",
                            "templatePath": null,
                            "cost": null,
                            "costFrequency": null,
                            "discount": null,
                            "modified": 0,
                            "blockData": [
                                {
                                    "id": 12,
                                    "title": null,
                                    "content": null,
                                    "editable": 0,
                                    "templatePath": null,
                                    "status": null,
                                    "internalCost": "",
                                    "cost": null,
                                    "costFrequency": null,
                                    "discount": null,
                                    "quantity": null
                                }
                            ]
                        },
                        {
                            "title": "Signature",
                            "type": "QuoteSection",
                            "templatePath": null,
                            "cost": null,
                            "costFrequency": null,
                            "discount": null,
                            "modified": 0,
                            "blockData": [
                                {
                                    "id": 13,
                                    "title": null,
                                    "content": null,
                                    "editable": 0,
                                    "templatePath": null,
                                    "status": null,
                                    "internalCost": "",
                                    "cost": null,
                                    "costFrequency": null,
                                    "discount": null,
                                    "quantity": null
                                }
                            ]
                        }
                    ]
                ',
            ]);
            QuoteTemplate::create([
                'name' => 'Installation, Repairs and Remedial Works',
                'template_path' => 'cwtTemplate01',
                'structure' =>
                    '
                        [
                            {
                                "title": "Intro Paragraph",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 4,
                                        "title": null,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Schedule of Equipment",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 25,
                                        "title": null,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Installation work description",
                                "type": "Service",
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 7,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Note",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 17,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Exclusions",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 10,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Ending Content",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 12,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Signature",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 13,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            }
                        ]
                    ',
            ]);
            QuoteTemplate::create([
                'name' => 'Service Contract – RO and Pre treat',
                'template_path' => 'cwtTemplate01',
                'structure' =>
                    '
                        [
                            {
                                "title": "Intro Paragraph",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 4,
                                        "title": null,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Schedule of Equipment",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 25,
                                        "title": null,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Tier 1 – PPM Service contract – RO and Pre-treatment",
                                "type": "Service",
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 5,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Tier 2 – Service contract – RO and Pre-treatment",
                                "type": "Service",
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 6,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Optional – Multi-year Contract available on application",
                                "type": "Service",
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 11,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Emergency cover and breakdown call outs",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 8,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Note",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 9,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Exclusions",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 10,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Ending Content",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 12,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Signature",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 13,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            }
                        ]
                    ',
            ]);
            QuoteTemplate::create([
                'name' => 'Service Contract – Softener and GAC',
                'template_path' => 'cwtTemplate01',
                'structure' =>
                    '
                        [
                            {
                                "title": "Intro Paragraph",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 4,
                                        "title": null,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Schedule of Equipment",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 25,
                                        "title": null,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Tier 1 - PPM Softener and GAC Service Contract",
                                "type": "Service",
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 1,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Tier 2 – Softener and GAC Service Contract",
                                "type": "Service",
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 2,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Optional – Multi-year Contract available on application",
                                "type": "Service",
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 11,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Emergency cover and breakdown call outs",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 8,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Note",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 9,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Exclusions",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 10,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Ending Content",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 12,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Signature",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 13,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            }
                        ]
                    ',
            ]);
            QuoteTemplate::create([
                'name' => 'Media Change – Softener and GAC',
                'template_path' => 'cwtTemplate01',
                'structure' =>
                    '
                        [
                            {
                                "title": "Intro Paragraph",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 4,
                                        "title": null,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Schedule of Equipment",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 25,
                                        "title": null,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "GAC media change",
                                "type": "Service",
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 8,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Disposal of redundant materials",
                                "type": "Service",
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 10,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Schedule of Equipment",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 25,
                                        "title": null,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Water Softener Media Change",
                                "type": "Service",
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 9,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Disposal of redundant materials",
                                "type": "Service",
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 10,
                                        "content": null,
                                        "editable": 1,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Note",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 17,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Exclusions",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 10,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Ending Content",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 12,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            },
                            {
                                "title": "Signature",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [
                                    {
                                        "id": 13,
                                        "title": null,
                                        "content": null,
                                        "editable": 0,
                                        "templatePath": null,
                                        "status": null,
                                        "internalCost": "",
                                        "cost": null,
                                        "costFrequency": null,
                                        "discount": null,
                                        "quantity": null
                                    }
                                ]
                            }
                        ]
                    ',
            ]);
            QuoteTemplate::create([
                'name' => 'Supply Only',
                'template_path' => 'cwtTemplate01',
                'structure' =>
                    '
                        [{
                            "title": "Intro Paragraph",
                            "type": "QuoteSection",
                            "templatePath": null,
                            "cost": null,
                            "costFrequency": null,
                            "discount": null,
                            "modified": 0,
                            "blockData": [{
                                "id": 4,
                                "title": null,
                                "content": null,
                                "editable": 1,
                                "templatePath": null,
                                "status": null,
                                "internalCost": "",
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "quantity": null
                            }]
                        },
                            {
                                "title": "Supply List",
                                "type": "Inventory",
                                "modified": 0,
                                "templatePath": "supplyList",
                                "blockData": [],
                                "disclaimer": "<p><strong>Pricing based on supply only</strong></p><p><strong>Exclusions: Delivery (unless quoted) and VAT</strong></p>"
                            },
                            {
                                "title": "Ending Content",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [{
                                    "id": 12,
                                    "title": null,
                                    "content": null,
                                    "editable": 0,
                                    "templatePath": null,
                                    "status": null,
                                    "internalCost": "",
                                    "cost": null,
                                    "costFrequency": null,
                                    "discount": null,
                                    "quantity": null
                                }]
                            },
                            {
                                "title": "Signature",
                                "type": "QuoteSection",
                                "templatePath": null,
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "modified": 0,
                                "blockData": [{
                                    "id": 13,
                                    "title": null,
                                    "content": null,
                                    "editable": 0,
                                    "templatePath": null,
                                    "status": null,
                                    "internalCost": "",
                                    "cost": null,
                                    "costFrequency": null,
                                    "discount": null,
                                    "quantity": null
                                }]
                            }
                        ]
                    ',
            ]);
            QuoteTemplate::create([
                'name' => 'Call out - Time and materials',
                'template_path' => 'cwtTemplate01',
                'structure' =>
                    '
                        [{
                            "title": "Intro Paragraph (Call out - Time and materials)",
                            "type": "QuoteSection",
                            "templatePath": null,
                            "cost": null,
                            "costFrequency": null,
                            "discount": null,
                            "modified": 0,
                            "blockData": [{
                                "id": 27,
                                "title": null,
                                "content": null,
                                "editable": 1,
                                "templatePath": null,
                                "status": null,
                                "internalCost": "",
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "quantity": null
                            }]
                        },
                        {
                            "title": "Supply List",
                            "type": "Inventory",
                            "modified": 0,
                            "templatePath": "supplyList",
                            "blockData": [],
                            "disclaimer": "<p><strong>Pricing based on time and materials</strong></p><p><strong>Exclusions: VAT</strong></p>"
                        },
                        {
                            "title": "Ending Content",
                            "type": "QuoteSection",
                            "templatePath": null,
                            "cost": null,
                            "costFrequency": null,
                            "discount": null,
                            "modified": 0,
                            "blockData": [{
                                "id": 12,
                                "title": null,
                                "content": null,
                                "editable": 0,
                                "templatePath": null,
                                "status": null,
                                "internalCost": "",
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "quantity": null
                            }]
                        },
                        {
                            "title": "Signature",
                            "type": "QuoteSection",
                            "templatePath": null,
                            "cost": null,
                            "costFrequency": null,
                            "discount": null,
                            "modified": 0,
                            "blockData": [{
                                "id": 13,
                                "title": null,
                                "content": null,
                                "editable": 0,
                                "templatePath": null,
                                "status": null,
                                "internalCost": "",
                                "cost": null,
                                "costFrequency": null,
                                "discount": null,
                                "quantity": null
                            }]
                        }]
                    ',
            ]);
        }
    }
