<?php

    namespace Extensions\Seeders;

    use App\Models\Service;
    use Illuminate\Database\Seeder;

    class ServicesTableSeeder extends Seeder
    {
        public function run()
        {
            Service::create([
                'name' => 'Tier 1 - PPM Softener and GAC Service Contract',
                'template_path' => 'serviceContractTiers01',
                'content' => '<p>Pricing based on 2 service visits per annum at 6 monthly intervals, to carry out routine servicing of the above listed equipment, and report on any issues as appropriate.</p><p>We have included for the following works:</p><ul><li>PPM labour only</li><li>Isolate and bypass softener and GAC units in turn <span style="color: rgb(230, 0, 0);">(second units will be left online where possible)</span></li><li>Strip down the associated control valves and inspect for issues</li><li>Lubricate all moving parts and re-assemble</li><li>Back wash and regeneration cycles will be checked, and adjustments made as necessary</li><li>Test for water hardness / chlorine levels</li><li>Return units to service</li><li><span style="color: rgb(230, 0, 0);">Repeat above process on the 2</span><sup style="color: rgb(230, 0, 0);">nd</sup><span style="color: rgb(230, 0, 0);"> units (if applicable)</span></li></ul><p>We have assumed that all valves required for isolation are in good condition, and good working order to allow the work to be carried out.</p><p>Pricing excludes parts and consumables</p><p>Work to be carried out in <strong>normal working hours </strong><strong style="color: rgb(230, 0, 0);">[delete as appropriate]</strong></p><p>Work to be completed<strong> out of normal working hours (Saturday or Sunday) </strong><strong style="color: rgb(230, 0, 0);">[amend / delete as appropriate]</strong></p><br/>',
                'internal_cost' => '500.00',
                'client_charge' => '600.00',
                'cost_frequency' => 'per annum'
            ]);

            Service::create([
                'name' => 'Tier 2 – Softener and GAC Service Contract',
                'template_path' => 'serviceContractTiers01',
                'content' => '<p>Pricing based on 2 service visits per annum at 6 monthly intervals, to carry out routine servicing of the above listed equipment, and report on any issues as appropriate.</p><p>We have included for the following works:</p><ul><li>PPM labour + <span style="color: rgb(230, 0, 0);">annual change of seals and spacers for each control valve on 1 visit</span></li><li><span style="color: rgb(230, 0, 0);">Included spares - Seal and spacer kits to be supplied as follows: 1x ???? to be </span><strong style="color: rgb(230, 0, 0);">delivered and invoiced at the start of the contract @ £xxx.00</strong></li><li>Isolate and bypass softener and GAC units in turn (second units will be left online where possible)</li><li>Strip down the associated control valves and inspect for issues</li><li>Lubricate all moving parts and re-assemble</li><li>Back wash and regeneration cycles will be checked, and adjustments made as necessary</li><li>Test for water hardness / chlorine levels</li><li>Return units to service</li><li><span style="color: rgb(230, 0, 0);">Repeat above process on the 2</span><sup style="color: rgb(230, 0, 0);">nd</sup><span style="color: rgb(230, 0, 0);"> units (if applicable)</span></li></ul><p>We have assumed that all valves required for isolation are in good condition, and good working order to allow the work to be carried out.</p><p>Pricing excludes parts and consumables (other than stated)</p><p>Work to be carried out in <strong>normal working hours </strong><strong style="color: rgb(230, 0, 0);">[delete as appropriate]</strong></p><p>Work to be completed<strong> out of normal working hours (Saturday or Sunday) </strong><strong style="color: rgb(230, 0, 0);">[amend / delete as appropriate]</strong></p><br/>',
                'internal_cost' => '600.00',
                'client_charge' => '700.00',
                'cost_frequency' => 'per annum'
            ]);

            Service::create([
                'name' => 'Tier 1 - PPM Softener Service Contract',
                'template_path' => 'serviceContractTiers01',
                'content' => '<p>Pricing based on 2 service visits per annum at 6 monthly intervals, to carry out routine servicing of the site water softener indicated above, and report on any issues as appropriate.</p><p>We have included for the following works:</p><ul><li>PPM labour only</li><li>Isolate and bypass softener</li><li>Strip down the control valve and inspect for issues</li><li>Lubricate all moving parts and re-assemble</li><li>Check regeneration cycles and test water hardness</li><li>Return the softener to service</li><li><span style="color: rgb(230, 0, 0);">Repeat above process on the 2</span><sup style="color: rgb(230, 0, 0);">nd</sup><span style="color: rgb(230, 0, 0);"> softener (if applicable)</span></li></ul><p>We have assumed that all valves required for isolation are in good condition, and good working order to allow the work to be carried out.</p><p>Pricing excludes parts and consumables</p><p>Work to be carried out in <strong>normal working hours </strong><strong style="color: rgb(230, 0, 0);">[delete as appropriate]</strong></p><p>Work to be completed <strong>out of normal working hours (Saturday or Sunday) </strong><strong style="color: rgb(230, 0, 0);">[amend / delete as appropriate]</strong></p><p><br></p><br/>',
                'internal_cost' => '0.00',
                'client_charge' => '0.00',
                'cost_frequency' => 'per annum'
            ]);

            Service::create([
                'name' => 'Tier 2 – Softener Service Contract',
                'template_path' => 'serviceContractTiers01',
                'content' => '<p>Pricing based on 2 service visits per annum at 6 monthly intervals, to carry out routine servicing of the site water softener indicated above, and report on any issues as appropriate.</p><p>We have included for the following works:</p><ul><li>PPM labour + <span style="color: rgb(230, 0, 0);">annual change of seals and spacers for each control valve on 1 visit</span></li><li><span style="color: rgb(230, 0, 0);">Included spares - Seal and spacer kits to be supplied as follows: 1x ???? to be </span><strong style="color: rgb(230, 0, 0);">delivered and invoiced at the start of the contract @ £xxx.00</strong></li><li>Isolate and bypass softener</li><li>Strip down the control valve and inspect for issues</li><li>Lubricate all moving parts and re-assemble</li><li>Check regeneration cycles and test water hardness</li><li>Return the softener to service</li><li><span style="color: rgb(230, 0, 0);">Repeat above process on the 2</span><sup style="color: rgb(230, 0, 0);">nd</sup><span style="color: rgb(230, 0, 0);"> softener (if applicable)</span></li></ul><p>We have assumed that all valves required for isolation are in good condition, and good working order to allow the work to be carried out.</p><p>Pricing excludes parts and consumables (other than stated)</p><p>Work to be carried out in <strong>normal working hours </strong><strong style="color: rgb(230, 0, 0);">[delete as appropriate]</strong></p><p>Work to be completed <strong>out of normal working hours (Saturday or Sunday) </strong><strong style="color: rgb(230, 0, 0);">[amend / delete as appropriate]</strong></p><br/>',
                'internal_cost' => '0.00',
                'client_charge' => '0.00',
                'cost_frequency' => 'per annum'
            ]);

            Service::create([
                'name' => 'Tier 1 – PPM Service contract – RO and Pre-treatment',
                'template_path' => 'installationDescription',
                'content' => '<p>Pricing based on 2 service visits per year at 6 monthly intervals, to carry out servicing and calibration of the above listed equipment, and report on any issues as appropriate.</p><p>We have included for the following works:</p><ul><li>PPM labour only</li><li>Isolate softeners and GAC in turn <span style="color: rgb(230, 0, 0);">(second units will be left online where possible)</span></li><li>Strip down the associated control valves and inspect for issues.</li><li>Lubricate all moving parts and re-assemble</li><li>Back wash and regeneration cycles will be checked, and adjustments made as necessary.</li><li>Test for water hardness / chlorine levels and return to service</li><li>The RO unit will be checked for operation, faults, conductivity and output, with adjustments being made in accordance with the manufacturer’s handbook.</li><li>Associated pumps will be checked for correct operation and pressure.</li><li>Pre filter will be changed as part of the RO service but should also be changed by client in between services. Filters to be supplied by the client.</li></ul><p>We have assumed that all valves required for isolation are in good condition, and good working order to allow the work to be carried out.</p><p>Pricing excludes parts and consumables.</p><p>Work to be carried out in <strong>normal working hours </strong><strong style="color: rgb(230, 0, 0);">[delete as appropriate]</strong></p><p>Work to be completed<strong> out of normal working hours (Saturday or Sunday) </strong><strong style="color: rgb(230, 0, 0);">[amend / delete as appropriate]</strong></p><br/>',
                'internal_cost' => '0.00',
                'client_charge' => '0.00',
                'cost_frequency' => null
            ]);

            Service::create([
                'name' => 'Tier 2 – Service contract – RO and Pre-treatment',
                'template_path' => 'installationDescription',
                'content' => '<p>Pricing based on 2 service visits per year at 6 monthly intervals, to carry out servicing and calibration of the above listed equipment, and report on any issues as appropriate.</p><p>We have included for the following works:</p><ul><li>PPM labour + <span style="color: rgb(230, 0, 0);">annual change of seals and spacers for each control valve on 1 visit</span></li><li><span style="color: rgb(230, 0, 0);">Included spares - Seal and spacer kits to be supplied as follows: 1x ???? to be </span><strong style="color: rgb(230, 0, 0);">delivered and invoiced at the start of the contract @ £xxx.00</strong></li><li>Isolate softeners and GAC in turn <span style="color: rgb(230, 0, 0);">(second units will be left online where possible)</span></li><li>Strip down the associated control valves and inspect for issues.</li><li>Lubricate all moving parts and re-assemble</li><li>Back wash and regeneration cycles will be checked, and adjustments made as necessary.</li><li>Test for water hardness / chlorine levels and return to service</li><li>The RO unit will be checked for operation, faults, conductivity and output, with adjustments being made in accordance with the manufacturer’s handbook.</li><li>Associated pumps will be checked for correct operation and pressure.</li><li>Pre filter will be changed as part of the RO service but should also be changed by client in between services. Filters to be supplied by the client.</li></ul><p>We have assumed that all valves required for isolation are in good condition, and good working order to allow the work to be carried out.</p><p>Pricing excludes parts and consumables other than stated.</p><p>Work to be carried out in <strong>normal working hours </strong><strong style="color: rgb(230, 0, 0);">[delete as appropriate]</strong></p><p>Work to be completed<strong> out of normal working hours (Saturday or Sunday) </strong><strong style="color: rgb(230, 0, 0);">[amend / delete as appropriate]</strong></p><br/>',
                'internal_cost' => '0.00',
                'client_charge' => '0.00',
                'cost_frequency' => null
            ]);

            Service::create([
                'name' => 'Installation work description',
                'template_path' => 'installationDescription',
                'content' => '<p>We have included for the following works:</p><ul><li><br></li><li><br></li></ul><p>We have assumed that all valves required for isolation are in good condition, and good working order to allow the work to be carried out.</p><p>Pricing excludes parts and consumables other than stated</p><p>Work to be carried out in <strong>normal working hours </strong><strong style="color: rgb(230, 0, 0);">[delete as appropriate]</strong></p><p>Work to be completed<strong> out of normal working hours (Saturday or Sunday) </strong><strong style="color: rgb(230, 0, 0);">[amend / delete as appropriate]</strong></p><br/>',
                'internal_cost' => '0.00',
                'client_charge' => '0.00',
                'cost_frequency' => null
            ]);

            Service::create([
                'name' => 'GAC Media Change',
                'template_path' => 'installationDescription',
                'content' => '<p>Pricing to carry out a media change in <span style="color: rgb(161, 0, 0);">one/ both GAC columns supplying the …………… at …….. Hospital.</span></p><p>We have included for the following works:</p><ul><li><span style="color: rgb(161, 0, 0);">Isolate and bypass the GAC column / Isolate and bypass the first unit, with the second remaining online</span></li><li>Supply and replace the GAC media using our standard carbon media, <span style="color: rgb(161, 0, 0);">and replace internals</span></li><li>Flush media, re-commission and return to service</li><li><span style="color: rgb(161, 0, 0);">The above works to be repeated on the second unit</span></li><li>Pricing <span style="color: rgb(161, 0, 0);">excludes / includes</span> disposal of redundant materials</li></ul><p>We have assumed that all valves required for isolation are in good condition, and good working order to allow the work to be carried out.</p><p>Pricing excludes parts and consumables (other than stated)</p><p>Work to be carried out in <strong>normal working hours</strong> <span style="color: rgb(161, 0, 0);">[delete as appropriate]</span></p><p>Work to be completed <strong>out of normal working hours (Saturday or Sunday)</strong> <span style="color: rgb(161, 0, 0);">[amend / delete as appropriate]</span></p><br/>',
                'internal_cost' => '0.00',
                'client_charge' => '0.00',
                'cost_frequency' => null
            ]);

            Service::create([
                'name' => 'Water Softener Media Change',
                'template_path' => 'installationDescription',
                'content' => '<p>Pricing to carry out a media change in the water softener situated in …….. at ………..</p><p>We have included for the following works:</p><ul><li><span style="color: rgb(161, 0, 0);">Isolate and bypass softener / Isolate and bypass the first unit, with the second remaining online</span></li><li>Supply and replace the softener media <span style="color: rgb(161, 0, 0);">including internals</span></li><li>Recommission and return to service</li><li><span style="color: rgb(161, 0, 0);">The above works to be repeated on the second unit</span></li><li>Pricing <span style="color: rgb(161, 0, 0);">excludes / includes</span> disposal of redundant materials</li></ul><p>We have assumed that all valves required for isolation are in good condition, and good working order to allow the work to be carried out.</p><p>Pricing excludes parts and consumables (other than stated)</p><p>Work to be carried out in <strong>normal working hours</strong> <span style="color: rgb(161, 0, 0);">[delete as appropriate]</span></p><p>Work to be completed <strong>out of normal working hours (Saturday or Sunday)</strong> <span style="color: rgb(161, 0, 0);">[amend / delete as appropriate]</span></p><br/>',
                'internal_cost' => '0.00',
                'client_charge' => '0.00',
                'cost_frequency' => null
            ]);

            Service::create([
                'name' => 'Disposal of redundant materials',
                'template_path' => 'installationDescription',
                'content' => '<p>Cost for safe disposal of redundant materials, unless they are able to be disposed of on site</p><br/>',
                'internal_cost' => '0.00',
                'client_charge' => '0.00',
                'cost_frequency' => null
            ]);

            Service::create([
                'name' => 'Optional – Multi-year Contract available on application',
                'template_path' => 'installationDescription',
                'content' => ' ',
                'internal_cost' => '0.00',
                'client_charge' => '0.00',
                'cost_frequency' => null
            ]);
        }
    }
