var syncInterval = 1000 * 60 * 1 //every one minute
var queueConsumerInterval = 1000 * 1 * 1 //every one second

if ('serviceWorker' in navigator) {
    window.addEventListener('load', function() {
        
        navigator.serviceWorker.register('/sw.js').then(registration => {
            // Registration was successful
            console.log('ServiceWorker registration successful with scope: ', registration.scope);
            console.log(registration);
        }).catch(error => {
            // registration failed :(
            console.log('ServiceWorker registration failed: ', error);
        });

        // navigator.serviceWorker.addEventListener('message', event => {
        //     console.log('Caught Message from SW: ', event.data.msg, event.data.cacheName);
        // });

        
    });
    
    
    if (navigator.serviceWorker && navigator.serviceWorker.controller) {

        // Listen to the response
        navigator.serviceWorker.onmessage = (event) => {
            if (event.data && event.data.type === 'APP_VERSION') {
              console.log('Got APP_VERSION: ',event.data.appVersion);
              VueEvent.$emit('appVersion',event.data.appVersion);
            }
        };
        // Send first request
        navigator.serviceWorker.controller.postMessage({
            type: 'APP_VERSION',
        });

        console.log('STEP01');
        navigator.serviceWorker.controller.onstatechange = function(e) {
            console.log('STEP02');
          if (e.target.state === 'redundant') {
            console.log('STEP03');
            var tapHandler = function() {
              window.location.reload();
            };
            console.log('Tap here or refresh the page for the latest content.');
            VueEvent.$emit('appNewVersion');
            //window.location.reload();
            // IOWA.Elements.Toast.showMessage(
            //   'Tap here or refresh the page for the latest content.',
            //   tapHandler);
          }
        };
      }

      
} else {
    console.log('Service workers are not supported.');
}

function storageAvailable(type) {
    var storage;
    try {
        storage = window[type];
        var x = '__storage_test__';
        storage.setItem(x, x);
        storage.removeItem(x);
        return true;
    }
    catch(e) {
        return e instanceof DOMException && (
            // everything except Firefox
            e.code === 22 ||
            // Firefox
            e.code === 1014 ||
            // test name field too, because code might not be present
            // everything except Firefox
            e.name === 'QuotaExceededError' ||
            // Firefox
            e.name === 'NS_ERROR_DOM_QUOTA_REACHED') &&
            // acknowledge QuotaExceededError only if there's something already stored
            (storage && storage.length !== 0);
    }
}

if (storageAvailable('localStorage')) {
    console.log("Local Storage Supported");
}
else {
    console.log("Local Storage Not Supported or Quota Exceeded")
}

window.colors = {
    solid: {
      primary: '#7367F0',
      secondary: '#82868b',
      success: '#28C76F',
      info: '#00cfe8',
      warning: '#FF9F43',
      danger: '#EA5455',
      dark: '#4b4b4b',
      black: '#000',
      white: '#fff',
      body: '#f8f8f8'
    },
    light: {
      primary: '#7367F01a',
      secondary: '#82868b1a',
      success: '#28C76F1a',
      info: '#00cfe81a',
      warning: '#FF9F431a',
      danger: '#EA54551a',
      dark: '#4b4b4b1a'
    }
  };



var _ = require('lodash');
const axios = require('axios').default;
axios.defaults.headers.common['X-Requested-With'] = 'XMLHttpRequest';


window.dateFormat = require("dateformat").default;

/**
 * First we will load all of this project's JavaScript dependencies which
 * includes Vue and other libraries. It is a great starting point when
 * building robust, powerful web applications using Vue and Laravel.
 */

import Vue from 'vue'


// Vuesax Component Framework
import Vuesax from 'vuesax'
import 'material-icons/iconfont/material-icons.css' //Material Icons
import 'vuesax/dist/vuesax.css' //Vuesax styles

Vue.use(Vuesax, {
  // options here
})

import { BootstrapVue } from 'bootstrap-vue'
Vue.use(BootstrapVue);


// import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap-vue/dist/bootstrap-vue.css'

window.VueEvent = new Vue();


// DatePicker https://www.npmjs.com/package/vue2-datepicker

import DatePicker from 'vue2-datepicker';
import 'vue2-datepicker/index.css';


/**
 * The following block of code may be used to automatically register your
 * Vue components. It will recursively scan this directory for the Vue
 * components and automatically register them with their "basename".
 *
 * Eg. ./components/ExampleComponent.vue -> <example-component></example-component>
 */


const files = require.context('./components', true, /\.vue$/i);
files.keys().map(key => Vue.component(key.split('/').pop().split('.')[0], files(key).default));


/**
 * Next, we will create a fresh Vue application instance and attach it to
 * the page. Then, you may begin adding components to this application
 * or customize the JavaScript scaffolding to fit your unique needs.
 */
let appData = {};
window.appIntervals = {};

if(window.pageData !== undefined){

    appData = window.pageData;
}

appData.siteAddressStatus =  false;
appData.returnVisitStatus =  true;
appData.loginForm = {
    email: '',
    password: ''
};
appData.bookings = null;
appData.inventoryItems = null;
appData.serviceReportStructures = null;
appData.notifications = null;
appData.loadingBookings = '';
appData.unreadNotificationsCount = 0;
appData.onLine = true;
appData.csrf_token = null;
appData.appQueue = null;
appData.timestamp = null;
appData.appNewVersion = false;
appData.appVersion = '0.0.0';

const app = new Vue({
    el: '#app',
    data: appData,
    components: { DatePicker },
    methods: {
        updateOnlineStatus(event) {
            console.log('UPDATE online STATUS');
            this.onLine = navigator.onLine;
        },

        processRequestError({error, jobId = null, fromQueue = true}){
            console.log('ProcessRequestError: ', error);
            console.log('Error Status: ', error.code, error.status);
            switch(error.status) {
                case 401:
                    this.logout();
                    this.showToast('Your session has expired', 'Your session ended. Please log in again.', 'danger'  );
                    break;
                case 419:
                    this.getToken();
                    break;
                case 400:
                    switch(error.data.statusCode){
                        case 1:
                            // 1 -  Status update failed
                            // Remove action
                            this.dequeue();

                            break;
                        case 2:
                            // 2 - Forbidden
                        	// Remove action & related job
                            this.dequeue();
                            this.removeJob();

                            break;
                        case 3:
                            // 3 - Conflict
                            // Remove action
                            this.dequeue();

                            break;
                        
                        case 4:
                            // 4 - Document upload failed
                            // Remove action & mark that document didnt’ upload
                            this.dequeue();

                            break;

                        case 5:
                            // 5 - Job not found
                            // Remove action & remove job
                            this.dequeue();
                            this.removeJob(jobId);

                            break;
                        case 6:
                            // 6 - Note not found
                            // Remove action & mark that document didnt’ upload
                            this.dequeue();

                            break;
                        case 7:
                            // 7 - Document not found
                            // Remove action & mark that document didnt’ upload
                            this.dequeue();

                            break;
                        case 8:
                            // 8 - Notification not found
                            // Remove action & mark that document didnt’ upload
                            this.dequeue();

                            break;

                        case 9:
                            // 9 - Status update failed
                            // Remove action
                            this.dequeue();
                            // this.showToast('Error', 'Status not updated. Please contact system administrator if the problem persists.', 'danger');
                            break;

                        default:
                            this.dequeue();
                            this.showToast('Error', `Error status ${error.data.statusCode}. Please contact system administrator if the problem persists.`, 'danger');
                    }

                    this.resumeQueueConsumer();
                        
                    break;
                default:
                    this.showToast('500 Internal Server Error', 'Something went wrong. The server encountered an Internal error. Please contact system administrator if the problem persists.', 'danger');

                    if (fromQueue){
                        this.dequeue();
                        this.resumeQueueConsumer();
                    }
                        
                    
            }
        },

    	applyFormValidation() {

    		var clientForm = $('form');

			clientForm.find("input,select,textarea").not("[type=submit]")
			.jqBootstrapValidation("destroy")
			.jqBootstrapValidation({
				filter: function () {
	                return !$(this).prop("disabled");
				},
                submitError: function ($form, event, errors) {

                    // Scroll to the first invalid field
                    let topPadding = 140; // Reserve top area for sticky navigation;
                    let firstErrorPosition = $form.find('.error').first().offset();
                    $('html, body').animate({ scrollTop: firstErrorPosition.top - topPadding });
                }
	      	});
    	},
        formatDate(date, format) {
            const map = {
                mm: ('0' + (date.getMonth() + 1)).slice(-2),
                dd: ('0' + date.getDate()).slice(-2),
                yy: date.getFullYear().toString().slice(-2),
                yyyy: date.getFullYear(),
                H: ('0' + date.getHours()).slice(-2),
                i: ('0' + date.getMinutes()).slice(-2),
                s: ('0' + date.getSeconds()).slice(-2),
            }

            return format.replace(/mm|dd|yy|H|i|s|yyy/gi, matched => map[matched])
        },
        addNote({jobId, subject, note, routePrefix} = {}){

            console.log('adding note','jobId:',jobId, 'note', note );

            const data = {
                "object_id": jobId,
                "subject": subject,
                "notes": note,
                "id": Date.now(),
            }

            let pendingNote = {
                'id' : data.id,
                'subject': subject,
                'content': note,
                'created_at': new Date(Date.now()),
                'pending': true
            }

            this.enqueue(jobId, `/jobs/${routePrefix}/${jobId}/add-note`, data, this.updateNote);
            
            
            this.bookings =  this.bookings.map(o => {

                if (o.id == jobId) o.notes.unshift(pendingNote);

                return o;
            });

            VueEvent.$emit('resetNewNote');

        },
        updateNote({jobId, elementId, data} = {}){

                

                this.bookings =  this.bookings.map(o => {

                    if (o.id == jobId) {

                        console.log('found job');
                        
                        o.notes = o.notes.map(note => {
                            console.log(note.id, elementId);
                            if (note.id == elementId) {
                                console.log('found note', note);
                                note = data
                                console.log('updated note', note);
                                
                            }
                            

                            return note;
                        })
                        
                        
                    };

                    return o;
                });


            
        },
        deleteNote({jobId, noteId, routePrefix} = {}){

            //console.log('deleting note','jobId:', jobId, 'noteId:', noteId, 'noteKey:', noteKey);

            const data = {
                "noteId": noteId,
            }

            this.enqueue(jobId, `/jobs/${routePrefix}/delete-note`, data);

            this.bookings =  this.bookings.map(o => {

                if (o.id == jobId) 
                    o.notes = _.filter(o.notes, function(n) { return n.id != noteId; });
                return o;
            });

            VueEvent.$emit('resetDeleteNote');

        },  
        deleteDocument({jobId, documentId, routePrefix} = {}){

            console.log('deleting document','jobId:', jobId, 'documentId:', documentId);

            const data = {
                "documentId": documentId,
            }

            this.enqueue(jobId, `/jobs/${routePrefix}/delete-document`, data);

            this.bookings =  this.bookings.map(o => {

                if (o.id == jobId) {

                    o.documents = o.documents.filter(document => {
                        return  document.id != documentId
                    })
                }

                return o;
            });

            VueEvent.$emit('resetDeleteDocument');

        },        
        getToken(){
            console.log('get token');

            axios.get('/refresh-csrf')
            .then(function (response) {

                console.log("GET TOKEN RESPONSE", response);

                if(response.data.token ) {
                    console.log(response.data);

                    this.csrf_token = response.data.token;
                }
                else {
                    this.showToast('Error', 'Failed to refresh token.', 'danger');
                }

            }.bind(this))
            .catch(function (error) {
                this.processRequestError({error: error.response})
                
            }.bind(this));

        },
        login(e){

            e.preventDefault();
            console.log('login',e);

            this.errors = [];

            if (!this.loginForm.email) {
                this.errors.push('Field required.');
            }

            if (!this.loginForm.password) {
                this.errors.push('Field required.');
            }
            if (this.loginForm.email && this.loginForm.password) {

                const data = {
                    "_token": this.csrf_token,
                    "email": this.loginForm.email,
                    "password": this.loginForm.password,
                }
                let config = 
                {
                    headers: {
                        'Accept': 'application/json'
                    }
                };


                axios.post('/login', data, config)
                .then(function (response) {
                    if(response.headers['content-type'] == 'text/html; charset=UTF-8'){
                        this.showToast('Error', 'Failed to log in, please try again later. Error: Exceeded session allowance', 'danger');
                        this.logout();
                    }
                    else if(response.data.status === 'success') {
                        console.log(response.data);

                        this.$refs['login-modal'].hide();
                        this.updateLocalStorage('user', response.data.user);
                        VueEvent.$emit('setUser', response.data.user);
                    }
                    else {
                        this.showToast('Error', 'Failed to log in, please try again later. Error: ' + response.data.message, 'danger');
                    }

                }.bind(this))
                .catch(function (error) {
                    console.log('Got error on login', error, error.response);
                    this.processRequestError({error: error.response})
                }.bind(this));

            }

        },
        logout(terminate = false){
            let data = '';
            let config = 
                {
                    headers: {
                        'Accept': 'application/json'
                    }
                };
            console.log('logout');
            
            axios.get('/logout', data, config)
            .then(function (response) {

                if(response.data.status === 'success') {
                    console.log('logout response: ',response.data);

                    this.$refs['login-modal'].show();

                    console.log('terminate: ', terminate);

                    if (terminate){

                        this.clearLocalStorage();
                    }
                    
                    this.stopQueueConsumer();
                    this.clearAppInterval('updates');
                    
                        
                }
                else {
                    this.showToast('Error', 'Failed to log out, please try again later. Error: ' + response.data.message, 'danger');
                }

            }.bind(this))
            .catch(function (error) {
                this.processRequestError({error: error.response})
            }.bind(this));

        },
        clearLocalStorage(){
            window.localStorage.clear();
            this.user = null;
            this.bookings = null;
            this.inventoryItems = null;
            this.notifications = null;
            this.timestamp = null;
        },
        checkUser(){
            let data = '';
            let config = 
                {
                    headers: {
                        'Accept': 'application/json'
                    }
                };
            console.log('logged-in');
            
            axios.get('/logged-in', data, config)
            .then(function (response) {

                console.log(response.data);
                
            }.bind(this))
            .catch(function (error) {
                //this.processRequestError({error: error.response})
            }.bind(this));

        },
        saveWorksheet({jobId, worksheetId, worksheetData} = {}){

            const data = {
                "worksheet_id": worksheetId,
                "worksheet": JSON.stringify(worksheetData),
            }

            this.enqueue(jobId, '/jobs/update-worksheet', data);

            this.toggleSidebar('sidebar-worksheet');

        },
        addServiceReport({jobId, worksheetId, serviceReportName}){
            
            const data = {
                'worksheet_id': worksheetId,
                'service_report': JSON.stringify(this.serviceReportStructures[serviceReportName]),
                "id": Date.now(),
            }

            let pendingServiceReport = {
                'id' : data.id,
                'data': this.serviceReportStructures[serviceReportName],
                'pending': true
            }

            this.enqueue(jobId, `/jobs/update-service-report`, data, this.updateServiceReport);
            
            
            this.bookings =  this.bookings.map(o => {

                if (o.id == jobId) o.serviceReports.push(pendingServiceReport);

                return o;
            });

        },
        updateServiceReport({jobId, elementId, data} = {}){

            console.log('UPDATING Service report', jobId, elementId, data);

            this.bookings =  this.bookings.map(o => {

                if (o.id == jobId) {

                    console.log('found job');
                    
                    o.serviceReports = o.serviceReports.map(serviceReport => {
                        console.log(serviceReport.id, elementId);
                        if (serviceReport.id == elementId) {
                            console.log('found note', serviceReport);
                            serviceReport.id = data.id
                            console.log('updated note', serviceReport);
                            
                        }
                        

                        return serviceReport;
                    })
                    
                    
                };

                return o;
            });  
        },
        saveServiceReport({ jobId, worksheetId, serviceReport} = {}){

            console.log('{ jobId, worksheetId, serviceReport }', { jobId, worksheetId, serviceReport});

            const data = {
                "worksheet_id": worksheetId,
                "service_report_id": serviceReport.id,
                "service_report": JSON.stringify(serviceReport.data)
            }

            this.enqueue(jobId, '/jobs/update-service-report', data);

            this.toggleSidebar('sidebar-serviceReport');

            this.serviceReports =  this.serviceReports.map(o => {
                if (o.id == serviceReport.id) o.data = serviceReport.data;
                return o;
            });

        },
        deleteServiceReport: function(serviceReportId){
            axios.post(' /jobs/delete-service-report', {
                "service_report_id": serviceReportId
            })
            .then(function (response) {
                if(response.data.status === 'success') {

                    this.serviceReports = _.filter(this.serviceReports, function(o) { return o.id != serviceReportId; });
                    toastr.success('Service report has been deleted.');
                }
                else {
                    toastr.error('Failed to delete Service report, please try again later.');
                }
            }.bind(this))
            .catch(function (error) {
                console.log(error);
            });
        },

        getUpdates(){

            
            axios.get(`/fetch-updates?previousFetchTime=${this.timestamp}`)
                .then(function (response) {

                    if(response.data.uid && response.data.uid != this.user.id){
                        console.log('User missmatch. Trigger logout with termination');
                        this.logout(true);
                        return;
                    }

                    console.log('User match. Process updates');

                    if(response.data.t) this.timestamp = response.data.t;
                    if(response.data.token) this.csrf_token = response.data.token;
                        
                    if (response.data.data.bookings.length > 0 ){

                        response.data.data.bookings = _.unionBy(response.data.data.bookings, this.bookings, 'id');
                        response.data.data.bookings = _.orderBy(response.data.data.bookings, 'appointment_datetime', 'desc')

                        this.bookings =  response.data.data.bookings;

                    }

                    if (response.data.data.notifications.length > 0 ){

                        if (this.notifications){
                            response.data.data.notifications.push(...this.notifications);
                        }
                        
                        this.notifications = response.data.data.notifications;

                    }

                    if (response.data.data.inventoryItems.length > 0 ){

                        this.inventoryItems = response.data.data.inventoryItems;

                    }
                    
                    if (!_.isEmpty(response.data.data.serviceReportStructures)){

                        this.serviceReportStructures = response.data.data.serviceReportStructures;

                    }
            

                }.bind(this))
                .catch(function (error) {
                    this.processRequestError({error: error.response, fromQueue: false});
                }.bind(this));
        },
        removeJob(jobId){
            
            this.bookings =  this.bookings.filter(o => {
                return o.id != jobId;
            });
            
        },
        getJob(jobId, overwrite = false){

            axios.get(`/job/fetch/${jobId}`)
                .then(function (response) {

                    if(response.data.status === 'success') {
                        console.log(response.data);

                    }
                    else {

                        this.showToast('Error', 'Failed to fetch job, please try again later. Error: ' + response.data.message, 'danger');

                    }

                }.bind(this))
                .catch(function (error) {
                    this.processRequestError({error: error.response, jobId: jobId})
                }.bind(this));

        },
        updateNotification(notificationId = null){

            console.log('updateNotification step6', notificationId);

            const data = {}
            if (notificationId){
                data.notificationId = notificationId;
            }

            this.enqueue(null, '/mark-notification-as-read', data);

            this.notifications =  this.notifications.map(o => {

                if (notificationId){

                    if (o.id == notificationId) o.read_at = new Date(Date.now())

                } else {
                    
                    o.read_at = new Date(Date.now())
                    
                }
                

                return o;
            });
                    
        },
        setJobStatus(statusId, jobId, routePrefix){

            console.log('setJobStatus');

            const data = {
                "job_id": jobId,
                "status_id": statusId,
            }
            
            this.enqueue(jobId, `/jobs/${routePrefix}/update-status`, data);
            
            this.bookings =  this.bookings.map(o => {

                console.log('1. id: ', o.id, data.job_id,' status:', o.status_id, data.status_id, );

                if (o.id == data.job_id) o.status_id = parseInt(data.status_id);
                console.log('2. id: ', o.id, data.job_id,' status:', o.status_id, data.status_id, );
                return o;
            });

        },
        toggleSidebar(sidebar){
            // this.$root.$emit('bv::toggle::collapse', sidebar);
            this.$root.$emit('bv::toggle::collapse', sidebar);
        },
        showToast(title, message, variant) {

            this.$bvToast.toast(message, {
                title: title,
                solid: true,
                variant: variant,
                //noAutoHide: true,
                autoHideDelay: 15000
            })
        },
        setAppInterval(intervalID, action, delay){

            this.clearAppInterval(intervalID);

            console.log('setInterval for: ',intervalID, action, delay );
            window.appIntervals[intervalID] = setInterval(action, delay);
        },
        clearAppInterval(intervalID){

            if (window.appIntervals[intervalID]){
                console.log('clearInterval for: ',intervalID );
                clearInterval(window.appIntervals[intervalID]);
            }
        },
        processQueue(){
            
            if (this.appQueue && this.appQueue.length > 0) {
                console.log("PROCESSING QUEUE", this.appQueue[0]);
                
                this.stopQueueConsumer();
                this.runQueueElement(this.appQueue[0]);
            }

        },
        stopQueueConsumer(){

            this.clearAppInterval('queueConsumer');

        },
        resumeQueueConsumer(){

            this.setAppInterval('queueConsumer', ()=>this.processQueue(), queueConsumerInterval);
            
        },
        runQueueElement(queueElement){

            queueElement.data._token = this.csrf_token;

            axios.post(queueElement.url, queueElement.data)
                .then(function (response) {

                    if(response.data.status === 'success') {
                        console.log(response.data);

                        this.dequeue();

                        console.log('callback: ',typeof queueElement.callback, queueElement.callback);
                        if (queueElement.callback){
                            queueElement.callback({jobId: queueElement.jobId, elementId: queueElement.data.id, data: response.data.data});
                        }
                    }
                    else {

                        this.showToast('Error', response.data.message, 'danger');

                    }
                    

                }.bind(this))
                .catch(function (error) {
                    this.processRequestError({error: error.response, jobId: queueElement.jobId})
                }.bind(this));
        },

        dequeue(){

            this.appQueue.shift();
            this.resumeQueueConsumer();
            
        },
        enqueue(jobId, url, data, callback = null){

            //recording actual date time of the action
            data.actionedAt = new Date(Date.now());
            
            let newQueueEl = {
                jobId: jobId,
                process: true,
                url: url,
                data: data,
                callback: callback
            }; 

            console.log("ADDING TO QUEUE");
            console.log("newQueueEl: ", newQueueEl);
                        
            if(this.appQueue && this.appQueue.length > 0){
                
                this.appQueue.push(newQueueEl);

            } else{

                this.appQueue = [newQueueEl];

            }

        },

        updateLocalStorage(key, value){
            console.log('save to local storage:', key, value);
            console.log('stringify:', JSON.stringify(value));
            window.localStorage[key] = JSON.stringify(value);
        },
        readLocalStorage(key, obj){
            let storedValue = window.localStorage[key];
            storedValue = (storedValue) ? JSON.parse(storedValue) : null;
            console.log('LOCAL STORAGE VALUE: ', key, storedValue );
            if (storedValue) {
                console.log('Good VALUE, before setting obj: ', this[key]);
                this[key] = storedValue;
                console.log('Good VALUE, after setting obj: ', this[key]);
            }
        }
    },
    created(){
        VueEvent.$on('updateTooltip', ()=> $('[data-toggle="tooltip"]').tooltip());
        VueEvent.$on('updateFormValidation', ()=> this.applyFormValidation());
        
        VueEvent.$on('setUser', (user)=> {
                console.log('VueEvent.$on:setUser ', user);
            this.user = user});
        
        VueEvent.$on('setJobStatus', (statusId, jobId, routePrefix)=> {
            this.setJobStatus(statusId, jobId, routePrefix);
        });

        VueEvent.$on('addNote', ({jobId, subject, note, routePrefix} = {})=> {
            this.addNote({jobId, subject, note, routePrefix});
        });
        VueEvent.$on('deleteNote', ({jobId, noteId, routePrefix} = {})=> {
            this.deleteNote({jobId, noteId, routePrefix});
        });

        VueEvent.$on('deleteDocument', ({jobId, documentId, routePrefix} = {})=> {
            this.deleteDocument({jobId, documentId, routePrefix});
        });

        VueEvent.$on('setProp',(target, propertyName, value) =>{
            console.log('HERE:',target, propertyName, value);
            Vue.set( target, propertyName, value )
        });
        VueEvent.$on('saveWorksheet', ({jobId, worksheetId, worksheetData} = {})=> this.saveWorksheet({jobId, worksheetId, worksheetData}));
        VueEvent.$on('addServiceReport', ({jobId, worksheetId, serviceReportName} = {})=> {
            this.addServiceReport({jobId, worksheetId, serviceReportName});
        });
        VueEvent.$on('saveServiceReport', ({jobId, worksheetId, serviceReport} = {})=> this.saveServiceReport({jobId, worksheetId, serviceReport}));
        VueEvent.$on('deleteServiceReport', (serviceReportId)=> this.deleteServiceReport(serviceReportId));
        
        VueEvent.$on('onLineStatus', ()=> {this.updateOnlineStatus()});
        VueEvent.$on('requestError', (error)=> {this.processRequestError({error: error.response})});
        VueEvent.$on('appNewVersion', ()=> {this.appNewVersion = true;})
        VueEvent.$on('appVersion', (appVersion)=> {this.appVersion = appVersion;})

    },
    watch: {

        onLine(){
            console.log('ONLINE STATUS CHANGED', this.onLine);
            if (this.onLine && this.user){
                console.log('Resume backsync');
                this.resumeQueueConsumer();
                this.setAppInterval('updates', ()=>this.getUpdates(), syncInterval);
            }
            else{
                console.log('Stop backsync');
                this.stopQueueConsumer();
                this.clearAppInterval('updates');
            }
        },
        user() {
            console.log('user changed: ', (this.user) );
            if (this.user){

                console.log('STEP 1.1')

                this.readLocalStorage('bookings', this.bookings)
                this.readLocalStorage('notifications', this.notifications)
                this.readLocalStorage('inventoryItems', this.inventoryItems)
                this.readLocalStorage('timestamp', this.timestamp)
                this.readLocalStorage('appQueue', this.appQueue)
                
                this.getUpdates();
                
                this.processQueue();
                this.resumeQueueConsumer();
                
                this.setAppInterval('updates', ()=>this.getUpdates(), syncInterval);
                
            }
            

        },
        bookings: {
            immediate: true,
            deep: true,
            handler: function(){
                if (this.bookings){
                    this.updateLocalStorage('bookings', this.bookings);
                }
            }
        },
        inventoryItems() {

            if (this.inventoryItems){
                this.updateLocalStorage('inventoryItems', this.inventoryItems);
            }

        },
        serviceReportStructures() {

            if (this.serviceReportStructures){
                this.updateLocalStorage('serviceReportStructures', this.serviceReportStructures);
            }

        },
        timestamp() {

            if (this.timestamp){
                this.updateLocalStorage('timestamp', this.timestamp);
            }

        },
        notifications(){

            if (this.notifications){
                this.updateLocalStorage('notifications', this.notifications);
            }

            let unreadItems = _.filter(this.notifications, { 'read_at': null });
            this.unreadNotificationsCount =  unreadItems.length;

        },
        appQueue(){
            
            if (this.appQueue){
                this.updateLocalStorage('appQueue', this.appQueue);
            }
        }

    },
    mounted: function() {

        if(window.localStorage.user == null){
            
            this.logout();

        }
        else{
            console.log('setting User');
            VueEvent.$emit('setUser', JSON.parse(window.localStorage.user));
        }


        this.updateOnlineStatus();
        
        window.addEventListener('online',  ()=> {this.updateOnlineStatus()});
        window.addEventListener('offline', ()=> {this.updateOnlineStatus()});

        // this.applyFormValidation();
        // this.addNewNote();
    }
});
