$(document).ready(function () {
    "use strict";

    $('.data-list-view.ajax').each(function(){

        let tableId = $(this).data('table-id');
        let selectRow = ($(this).data('selectRow')) ? { selectRow: true } : false;

        if (dataTables[tableId] === undefined) return;

        let buttonData = [];
        if (Object.hasOwn(dataTables[tableId], 'createRoute')) {
            buttonData.push({
                text: "<i class='feather icon-plus'></i> Add New",
                action: function () {
                    window.location.href = dataTables[tableId].createRoute;
                },
                className: "btn-outline-primary",
            });
        }

        let dataListView = $(this).DataTable({
            responsive: true,
            'processing' : true,
            'serverSide' : true,
            'ajax' : {
                'url' : dataTables[tableId].ajaxIndexUrl,
                'type' : dataTables[tableId].ajaxMethod,
                'headers' : {
                    'X-CSRF-TOKEN' : window.csrf_token
                },
                'data': dataTables[tableId].data
            },
            'columns' : dataTables[tableId].ajaxIndexColumns,
            'client': 'something',
            'drawCallback' : function() {
                $('[data-toggle="tooltip"]').tooltip();
                //initCheckboxes();
                $('.js-delete-item').on('click', function(event){ VueEvent.$emit('deleteItem', event)});
                $('.js-pdf-preview').on('click', function(event){ VueEvent.$emit('pdfPreview', $(event.target).data('quotePreviewRoute'), 'sidebar-pdf-preview')});
            },
            columnDefs: [
                {
                    "orderable": false,
                    "targets": 'selectRow',
                    "checkboxes": selectRow,
                    "searchable": false
                },
                {
                    "orderable": false,
                    "targets": 'edit',
                    "searchable": false
                }
            ],
            "dom": '<"top"<"actions action-btns"B><"action-filters"lf>><"clear">rt<"bottom"<"actions">p>',
            "oLanguage": {
                "sLengthMenu": "_MENU_",
                "sSearch": ""
            },
            "aLengthMenu": [[20, 50, 100], [20, 50, 100]],
            select: {
                selector: 'td:first-child',
                style: 'multi'
            },
            order: dataTables[tableId].order,
            bInfo: false,
            "pageLength": 50,
            buttons: buttonData,
            initComplete: function (settings, json) {
                $(".dt-buttons .btn").removeClass("btn-secondary");
            },

            createdRow: function (row, data, dataIndex) {
                $(row).attr('data-id', data.id);
            }
        });

    });

})

function initCheckboxes(){

    // mac chrome checkbox fix
    if (navigator.userAgent.indexOf('Mac OS X') != -1) {
        $(".dt-checkboxes-cell input, .dt-checkboxes").addClass("mac-checkbox");
    }

    $(".dt-checkboxes").on("click", function () {
        $(this).closest("tr").toggleClass("selected");
    });

    $(".dt-checkboxes-select-all input").on("click", function () {
        $(".data-list-view").find("tbody tr").toggleClass("selected")
        $(".data-thumb-view").find("tbody tr").toggleClass("selected")
    });
}

initCheckboxes();
