/*=========================================================================================
    File Name: data-list-view.js
    Description: List View
    ----------------------------------------------------------------------------------------
    Item Name: Vuexy  - Vuejs, HTML & Laravel Admin Dashboard Template
    Author: PIXINVENT
    Author URL: http://www.themeforest.net/user/pixinvent
==========================================================================================*/

$(document).ready(function() {
    "use strict"
    // init list view datatable

    $(".data-list-view").not(".ajax").each(function(){

        let sortOrder = ($(this).data('order')) ? $(this).data('order') : [[1, "asc"]];
        let createRoute = $(this).data('create-route');
        let selectRow = ($(this).data('selectRow')) ? { selectRow: true } : false;
        let buttonData = createRoute ?  [
            {
                text: "<i class='feather icon-plus'></i> Add New",
                action: function () {
                    window.location.href = createRoute;
                },
                className: "btn-outline-primary",
            }
        ] : [];

        let dataListView = $(this).DataTable({
            responsive: false,
            stateSave: false,
            stateDuration: -1,
            columnDefs: [
                {
                    "orderable": false,
                    "targets": 'selectRow',
                    "checkboxes": selectRow,
                    "searchable": false
                },
                {
                    "orderable": false,
                    "targets": 'edit',
                    "searchable": false
                }
            ],
            dom:
                '<"top"<"actions action-btns"B><"action-filters"lf>><"clear">rt<"bottom"<"actions">p>',
            oLanguage: {
                sLengthMenu: "_MENU_",
                sSearch: ""
            },
            aLengthMenu: [[20, 50, 100], [20, 50, 100]],
            // select: {
            //     style: "multi"
            // },
            order: sortOrder,
            bInfo: false,
            pageLength: 20,
            buttons: buttonData,
            initComplete: function(settings, json) {
                $(".dt-buttons .btn").removeClass("btn-secondary")
            }
        });

        dataListView.on('draw.dt', function(){
            setTimeout(function(){
                if (navigator.userAgent.indexOf("Mac OS X") != -1) {
                    $(".dt-checkboxes-cell input, .dt-checkboxes").addClass("mac-checkbox")
                }
            }, 50);
        });

    });

    // let createButtonRoute = $(".data-list-view").data('createRoute');
    // if(createButtonRoute !== undefined) {
    //     new $.fn.dataTable.Buttons(dataListView, {
    //         buttons: [
    //             {
    //                 text: "<i class='feather icon-plus'></i> Add New",
    //                 action: function (e, dt) {
    //                     window.location.href = createButtonRoute;
    //                 },
    //                 className: "btn btn-outline-primary"
    //             }
    //         ]
    //     } );
    //     dataListView.buttons().container()
    //         .appendTo( $('.action-btns', dataListView.table().container() ) );
    //     $(".dt-buttons .btn").removeClass("btn-secondary")
    // }

    // init thumb view datatable
    var dataThumbView = $(".data-thumb-view").DataTable({
        responsive: false,
        columnDefs: [
            {
                orderable: true,
                targets: 0,
                checkboxes: { selectRow: true }
            }
        ],
        dom:
            '<"top"<"actions action-btns"B><"action-filters"lf>><"clear">rt<"bottom"<"actions">p>',
        oLanguage: {
            sLengthMenu: "_MENU_",
            sSearch: ""
        },
        aLengthMenu: [[20, 50, 100], [20, 50, 100]],
        select: {
            style: "multi"
        },
        order: [[1, "asc"]],
        bInfo: false,
        pageLength: 20,
        buttons: [
            {
                text: "<i class='feather icon-plus'></i> Add New",
                action: function() {
                    $(this).removeClass("btn-secondary")
                    $(".add-new-data").addClass("show")
                    $(".overlay-bg").addClass("show")
                },
                className: "btn-outline-primary"
            }
        ],
        initComplete: function(settings, json) {
            $(".dt-buttons .btn").removeClass("btn-secondary")
        }
    })

    dataThumbView.on('draw.dt', function(){
        setTimeout(function(){
            if (navigator.userAgent.indexOf("Mac OS X") != -1) {
                $(".dt-checkboxes-cell input, .dt-checkboxes").addClass("mac-checkbox")
            }
        }, 50);
    });

    // To append actions dropdown before add new button
    var actionDropdown = $(".actions-dropodown")
    actionDropdown.insertBefore($(".top .actions .dt-buttons"))


    // Scrollbar
    if ($(".data-items").length > 0) {

        $(".data-items").each(function(){
            new PerfectScrollbar(this, { wheelPropagation: false });
        });
    }

    // Open sidebar

    $(".show-data-sidebar").on("click", function(){

        $('body').addClass('modal-open');
        $(".add-new-data-sidebar#"+$(this).data("sidebar-content")).find(".js-sidebar-content").addClass("show");
        $(".overlay-bg").addClass("show");
    });

    // Close sidebar
    $(".hide-data-sidebar, .cancel-data-btn, .overlay-bg").on("click", function() {
        $('body').removeClass('modal-open');
        $(".add-new-data").removeClass("show")
        $(".overlay-bg").removeClass("show")
        $("#data-name, #data-price").val("")
        $("#data-category, #data-status").prop("selectedIndex", 0)
    })

    // On Edit
    $('.action-edit').on("click",function(e){
        e.stopPropagation();
        $('#data-name').val('Altec Lansing - Bluetooth Speaker');
        $('#data-price').val('$99');
        $(".add-new-data").addClass("show");
        $(".overlay-bg").addClass("show");
    });

    // On Delete
    $('.action-delete').on("click", function(e){
        e.stopPropagation();
        $(this).closest('td').parent('tr').fadeOut();
    });

    // dropzone init
    // Dropzone.options.dataListUpload = {
    //     complete: function(files) {
    //         var _this = this
    //         // checks files in class dropzone and remove that files
    //         $(".hide-data-sidebar, .cancel-data-btn, .actions .dt-buttons").on(
    //             "click",
    //             function() {
    //                 $(".dropzone")[0].dropzone.files.forEach(function(file) {
    //                     file.previewElement.remove()
    //                 })
    //                 $(".dropzone").removeClass("dz-started")
    //             }
    //         )
    //     }
    // }
    // Dropzone.options.dataListUpload.complete()

    // mac chrome checkbox fix
    if (navigator.userAgent.indexOf("Mac OS X") != -1) {
        $(".dt-checkboxes-cell input, .dt-checkboxes").addClass("mac-checkbox")
    }
})
