$(document).ready(function() {

    const pageTopPadding = 50;
    const firstPageContentH = 551;
    const secondPageContentH = 680;
    const firstPageHeaderH = 330;
    
    let quoteContent = $('.quote-content');
    let blocks = $('.quote-content .block');
    let pageBreak = [];
    let buffer = 0;
    let bufferPdf = 0;
    let latestPageBreakPosition = pageTopPadding + firstPageHeaderH;
    let pageBreakWatcher;

    // Options for the observer (which mutations to observe)
    const config = { attributes: false, childList: true, subtree: true , characterData: true};

			// Callback function to execute when mutations are observed
    const quoteChangeCallback = function(mutationsList, observer) {
				
        // Use traditional 'for loops' for IE 11
        for(let mutation of mutationsList) {

            if (mutation.type === 'attributes') {
                // console.log('The ' + mutation.attributeName + ' attribute was modified.');
            }
            else if (mutation.type === 'subtree') {
                // console.log('The ' + ' subtree was modified.');
            }
            else if (mutation.type === 'childList' || mutation.type === 'characterData') {
                // console.log('A child node has been added or removed. OR characterData has been updated');
                // console.log('I can see modifications');
                clearTimeout(pageBreakWatcher);
                pageBreakWatcher = setTimeout(function(){

                    // console.log('set timeout');
                    setPageBreaks();
                }, 100);

            }
        }
    };

    const observer = new MutationObserver(quoteChangeCallback);

    // console.log(observer);

    // Start observing the target node for configured mutations
    observer.observe(quoteContent[0], config);

    // console.log('firstPageHeaderH:',firstPageHeaderH);
    // console.log('blocks:',blocks);

    
    function createPageBreak(position){

        latestPageBreakPosition = position;
        // console.log('new page break position: ', latestPageBreakPosition);
        let  pageBreakElement = document.createElement( "div" );
        pageBreaks.push(pageBreakElement);
        pageBreakElement.classList.add("page-break"); 
        pageBreakElement.setAttribute("pageNumber", pageBreaks.length+1); 

        pageBreakElement.style.top = latestPageBreakPosition+"px";
        $('.invoice-preview-card').append(pageBreakElement);
    }

    function resetPageBreaks(){
        buffer = 0;
        bufferPdf = 0;
        pageBreaks = [];
        latestPageBreakPosition = pageTopPadding + firstPageHeaderH;
        $('.page-break').remove();
    }

    function updateBuffer(elmentHeigh, reset = false){
        // console.log('buffer Before: ', buffer);
        if (reset) buffer = 0;
        buffer += elmentHeigh;
        // console.log('buffer After: ', buffer);
    }
    
    function updateBufferPdf(elmentHeigh, reset = false){
        // console.log('bufferPdf Before: ', bufferPdf);
        if (reset) bufferPdf = 0;
        bufferPdf += elmentHeigh;
        // console.log('bufferPdf After: ', bufferPdf);
    }

    function setPageBreaks(){
        resetPageBreaks();

        blocks.each(function(){
            // console.log($(this));
            // console.log($(this).height());
            

            
            if ($(this).find('.box__grey').length > 0){
                // console.log('FOUND box__grey');

                // console.log('case1');

                if (
                    pageBreaks.length == 0
                    && (bufferPdf + $(this).height() > firstPageContentH)
                ){
                    // console.log('case1.1');
                    createPageBreak(latestPageBreakPosition + buffer);
                    updateBuffer( buffer + $(this).height());
                    updateBufferPdf( 0, true);
                    
                }
                else if (
                    pageBreaks.length > 0 
                    && (bufferPdf + $(this).height() > secondPageContentH)
                ){
                    // console.log('case1.2');
                    let newBuffer = (buffer + $(this).height())  - secondPageContentH;
                    createPageBreak(latestPageBreakPosition + buffer);
                    updateBuffer( newBuffer, true);
                    updateBufferPdf( newBuffer, true);
                    
                }
                else {
                    // console.log('case1.3');
                    updateBuffer($(this).height());
                    updateBufferPdf($(this).height());
                }

            }
            else if ($(this).find('.quote-service-content input[type=hidden]').length > 0
                && $(this).find('.quote-service-content input[type=hidden]').val().length == 0){
                
                // console.log('value:',$(this).find('.quote-service-content input[type=hidden]').val());
                // console.log('FOUND EMPTY SERVICE');
                
                updateBuffer($(this).height());
                
            }
            else if (
                pageBreaks.length == 0 
                && bufferPdf + $(this).height() > firstPageContentH
            ){
                // console.log('case2');
                let newBuffer =  (buffer + $(this).height())  - firstPageContentH;
                updateBuffer( newBuffer, true);
                updateBufferPdf( newBuffer, true);
                createPageBreak(latestPageBreakPosition + firstPageContentH );
                
            }
            else if (
                pageBreaks.length > 0
                && bufferPdf + $(this).height() > secondPageContentH
            ){
                // console.log('case3');
                let newBuffer =  (buffer + $(this).height())  - secondPageContentH;
                updateBuffer( newBuffer, true);
                updateBufferPdf( newBuffer, true);
                createPageBreak(latestPageBreakPosition + secondPageContentH);
            }
            else {
                // console.log('case4');
                updateBuffer($(this).height());
                updateBufferPdf($(this).height());
            }
    
        });
    }
    setPageBreaks();
});
