var APP_VERSION = '0.0.7';

var urlsToCache = [
  '/operative-app',
  '/css/pages/authentication.css',
  '/css/bootstrap-extended.css',
  '/css/bootstrap.css',
  '/css/colors.css',
  '/css/components.css',
  'https://fonts.googleapis.com/css?family=Montserrat:300,400,500,600',
  '/vendors/css/feather-icons/feather-icons.min.css',
  '/css/plugins/forms/validation/form-validation.css',
  '/vendors/css/ui/prism.min.css',
  '/vendors/css/vendors.min.css',
  '/css/core/menu/menu-types/vertical-menu.css',

  '/vendors/css/extensions/toastr.css',
  '/vendors/css/forms/select/select2.min.css',
  '/css/plugins/extensions/toastr.css',

  '/js/core/app-menu.js',
  '/js/app/app.js',
  '/js/core/app.js',
  '/vendors/js/feather-icons/feather-icons.min.js',
  '/js/scripts/forms/validation/jqBootstrapValidation.js',
  '/vendors/js/extensions/moment.min.js',
  '/vendors/js/ui/prism.min.js',
  '/vendors/js/forms/select/select2.full.min.js',
  '/vendors/js/vendors.min.js',

  '/fonts/feather/fonts/feather.woff?t=1525787366991',
  '/fonts/feather/fonts/feather.ttf?t=1525787366991',
  'https://fonts.gstatic.com/s/montserrat/v18/JTURjIg1_i6t8kCHKm45_bZF3gnD_vx3rCs.woff2',
  'https://fonts.gstatic.com/s/montserrat/v18/JTURjIg1_i6t8kCHKm45_ZpC3gnD_vx3rCs.woff2',
  'https://fonts.gstatic.com/s/montserrat/v18/JTUSjIg1_i6t8kCHKm459WlhyyTh89Y.woff2',



  '/images/icons/favicon.ico',
  '/images/icons/favicon-32x32.png',
  '/images/icons/favicon-16x16.png',

  '/images/icons/apple-touch-icon.png',
  '/images/icons/apple-touch-icon_x120.png',
  '/images/icons/apple-touch-icon_x167.png',
  '/images/icons/apple-touch-icon_x152.png',
  '/images/icons/apple-touch-icon_x180.png',

  '/images/icons/maskable_icon_x192.png',
  '/images/icons/maskable_icon_x512.png',
  '/images/icons/maskable_icon_x1024.png',
  
  '/manifest.json'

];

self.addEventListener('install', event => {
  console.log('Installed');
  self.skipWaiting();
  // Perform install steps
  event.waitUntil(
    caches.open(APP_VERSION)
      .then(cache => {
        console.log('Opened cache 6');
        return cache.addAll(urlsToCache);
      })
  );
});


let count = 0;

self.addEventListener('message', (event) => {
  console.log("Got message in for SW", event);
  if (event.data && event.data.type === 'APP_VERSION') {
    // Select who we want to respond to

    console.log('searching for clients: ', self.clients);
    self.clients.matchAll({
      includeUncontrolled: true,
      type: 'window',
    }).then((clients) => {
      console.log('matchAll result: ', clients, clients.length);
      if (clients && clients.length) {
        // Send a response - the clients
        // array is ordered by last focused
        clients[0].postMessage({
          type: 'APP_VERSION',
          appVersion: APP_VERSION,
        });
      }
    });
  }
});

  
self.addEventListener('activate', event => {
  // event.waitUntil(async function() {
  //   // Exit early if we don't have access to the client.
  //   // Eg, if it's cross-origin.
  //   if (!event.clientId) return;

  //   // Get the client.
  //   const client = await clients.get(event.clientId);
  //   // Exit early if we don't get the client.
  //   // Eg, if it closed.
  //   if (!client) return;

  //   // Send a message to the client.
  //   client.postMessage({
  //     msg: "Hey I just got a fetch from you!",
  //     cacheName: CACHE_NAME
  //   });

  // }());
  console.log('Activated');

  
   // Exit early if we don't have access to the client.
    // Eg, if it's cross-origin.
    // if (!event.clientId) return;

    // // Get the client.
    // const client = clients.get(event.clientId);
    // // Exit early if we don't get the client.
    // // Eg, if it closed.
    // if (!client) return;

    // // Send a message to the client.
    // client.postMessage({
    //   msg: "Hey I just got Activated with CacheName: ",
    //   cacheName: CACHE_NAME
    // });

  // Perform install steps
  event.waitUntil(
    caches.keys().then(cacheNames => {
      console.log('cacheNames: ', cacheNames);
      return Promise.all(
        cacheNames.filter(cacheName => {
          
          console.log('cacheName: ', cacheName);
          if (cacheName != APP_VERSION) return true;
          // Return true if you want to remove this cache
        }).map(cacheName => {
          console.log('Deleting cacheName: ', cacheName);
          return caches.delete(cacheName)
        })
      );
    })
  );
});

self.addEventListener('fetch', event => {
  
  console.log(`Intercepting fetch request for: ${event.request.url}`);
    event.respondWith(
      caches.match(event.request)
        .then(response => {
          // Cache hit - return response
          return response || fetch(event.request);

        }
      )
    );
});