{{-- @isset($pageConfigs)
    @if(count($pageConfigs) > 0)
        @foreach ($pageConfigs as $config => $val)
            {{ Config::set('custom.custom.'.$config, $val) }}
        @endforeach
    @endif
@endisset --}}


<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
        
        <title>@yield('title') - {{ config('app.name') }}</title>
        
        <link rel="apple-touch-icon" href="/images/icons/apple-touch-icon_x180.png">
        <link rel="apple-touch-icon" sizes="120x120" href="/images/icons/apple-touch-icon_x120.png">
        <link rel="apple-touch-icon" sizes="167x167" href="/images/icons/pple-touch-icon_x167.png">
        <link rel="apple-touch-icon" sizes="152x152" href="/images/icons/apple-touch-icon_x152.png">
        <link rel="apple-touch-icon" sizes="180x180"href="/images/icons/apple-touch-icon_x180.png">
        


        <link rel="icon" type="image/png" sizes="32x32" href="/images/icons/favicon-32x32.png">
        <link rel="icon" type="image/png" sizes="16x16" href="/images/icons/favicon-16x16.png">
        {{-- <link rel="manifest" href="/images/icons/site.webmanifest"> --}}
        <link rel="mask-icon" href="/images/icons/safari-pinned-tab.svg" color="#254a7f">
        <link rel="shortcut icon" href="/images/icons/favicon.ico">
        <meta name="apple-mobile-web-app-title" content="CWT">
        <meta name="application-name" content="CWT">
        <meta name="msapplication-TileColor" content="#ffffff">
        <meta name="msapplication-config" content="/images/icons/browserconfig.xml">
        <meta name="theme-color" content="#ffffff">
        <link rel="manifest" href="/manifest.json">

        <!-- Splash Screen for iPhone X (1125px x 2436px) -->
        <link rel="apple-touch-startup-image" href="/images/icons/apple-launch-1125x2436.png">

        {{-- Include core + vendor Styles --}}
        {{-- @include('panels/styles') --}}

            {{-- Vendor Styles --}}
                <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:300,400,500,600">
                <link rel="stylesheet" href="/vendors/css/vendors.min.css">
                <link rel="stylesheet" href="/vendors/css/feather-icons/feather-icons.min.css">
                <link rel="stylesheet" href="/vendors/css/ui/prism.min.css">
                <link rel="stylesheet" href="/vendors/css/extensions/toastr.css">

                {{-- Page Vendor Scripts --}}
                @yield('pageVendorStyles')

                <!-- Theme Styles -->
                <link rel="stylesheet" href="css/bootstrap.css">
                <link rel="stylesheet" href="css/bootstrap-extended.css">
                <link rel="stylesheet" href="css/colors.css">
                <link rel="stylesheet" href="css/components.css">
                <link rel="stylesheet" href="css/plugins/extensions/toastr.css">
                <link rel="stylesheet" type="text/css" href="css/pages/authentication.css">

                {{-- <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/bootstrap.css') }}">
                <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/bootstrap-extended.css') }}">
                <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/colors.css') }}">
                <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/components.css') }}">
                <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/plugins/extensions/toastr.css') }}">
                <link rel="stylesheet" type="text/css" href="{{ \App\Helpers\Helpers::assetLink('css/pages/authentication.css') }}"> --}}
                {{-- {!! Helper::applClasses() !!} --}}
                @php
                // $configData = \App\Helpers\Helper::applClasses();
                @endphp

                
                <!-- Page Styles -->
                <link rel="stylesheet" href="css/core/menu/menu-types/vertical-menu.css">
                <link rel="stylesheet" type="text/css" href="css/plugins/forms/validation/form-validation.css">
                
                {{-- <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/core/menu/menu-types/vertical-menu.css') }}">
                <link rel="stylesheet" type="text/css" href="{{ \App\Helpers\Helpers::assetLink('css/plugins/forms/validation/form-validation.css') }}"> --}}


            {{-- Include page Style --}}

        @yield('pageStyles')

    </head>


    {{-- <body class="vertical-layout vertical-menu-modern 2-columns {{ $configData['bodyClass'] }} {{ $configData['theme'] }} {{ $configData['navbarType'] }} {{ $configData['sidebarClass'] }} {{ $configData['footerType'] }}  footer-light" data-menu="vertical-menu-modern" data-col="2-columns"> --}}
    <body class="horizontal-layout horizontal-menu floating 1-column">

        {{-- Include Sidebar --}}
        {{-- @include('app.sidebar') --}}

        <div id="app">

            <!-- BEGIN: Content-->
            <div class="app-content content"
                style="min-height: 100vh; margin-left:0;"
            >
                <!-- BEGIN: Header-->
                <div class="content-overlay"></div>
                <div class="header-navbar-shadow"></div>

                {{-- Include Navbar --}}
                @include('app.navbar')

                <div class="content-wrapper">

                    {{-- Include Breadcrumb --}}
                    
                    <div class="content-body">
                        {{-- Include Startkit Content --}}
                        @yield('content')
                    </div>

                </div>

            </div>
            <!-- End: Content-->

            @include('app/footer')

        </div>

        <div class="sidenav-overlay"></div>
        <div class="drag-target"></div>
        {{-- include footer --}}
        
        {{-- include default scripts --}}
            
            {{-- Vendor Scripts --}}
            <script src="/vendors/js/vendors.min.js"></script>
            <script src="/vendors/js/feather-icons/feather-icons.min.js"></script>
            <script src="/vendors/js/ui/prism.min.js"></script>
            


            {{-- Page Vendor Scripts --}}
            @yield('pageVendorScripts')

            <!-- Theme Scripts -->
            <script src="js/core/app-menu.js"></script>
            <script src="js/core/app.js"></script>
            
            <script src="js/scripts/forms/validation/jqBootstrapValidation.js"></script>
            <script src="js/app/app.js" defer></script>
            
        {{-- Include page script --}}
        @yield('pageScripts')


    </body>
</html>
