<b-modal
    ref="login-modal"
    hide-header
    hide-footer
    no-close-on-esc
    no-close-on-backdrop
    hide-header-close
    body-class="bg-authentication"
    body-bg-variant=""
>
    <div class="row m-0 "  v-cloak>
        <div class="col-12 px-1 py-1 mb-1 d-flex justify-content-center">
            <div style="width: 80%; max-width: 130px;">
                @include('elements.cwt-logo')
            </div>
        </div>
        <div class="col-lg-12 col-12 p-0">
            <div class="card rounded-0 mb-0">
                <div class="card-header pb-1">
                    <div class="card-title">
                        <h4 class="mb-0">{{ __('Login') }}</h4>
                    </div>
                </div>
                <p class="px-2">{{ __('Welcome back, please login to your account.') }}</p>
                <div class="card-content mb-2">
                    <div class="card-body pt-1">
                        <form id="login" method="POST" @submit="login">

                            <fieldset class="form-label-group form-group position-relative has-icon-left">
                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email"
                                    v-model="loginForm.email" required  autocomplete="email" autofocus
                                    placeholder="Email"
                                >
                                <div class="form-control-position">
                                    <i class="feather icon-user"></i>
                                </div>
                                <label for="email">{{ __('E-Mail Address') }}</label>
                                @error('email')
                                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </fieldset>

                            <fieldset class="form-label-group position-relative has-icon-left">
                                <input type="password" class="form-control @error('password') is-invalid @enderror" id="password"
                                    name="password" v-model="loginForm.password" placeholder="Password" required autocomplete="current-password"
                                >
                                <div class="form-control-position">
                                    <i class="feather icon-lock"></i>
                                </div>
                                <label for="password">{{ __('Password') }}</label>
                                @error('password')
                                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </fieldset>

                            <div class="form-group d-flex justify-content-between align-items-center">
                                <div class="text-left">
                                    <fieldset class="checkbox">
                                        <div class="vs-checkbox-con vs-checkbox-primary">
                                            <input type="checkbox" name="remember" id="remember" checked>
                                            <span class="vs-checkbox">
                                                            <span class="vs-checkbox--check">
                                                                <i class="vs-icon feather icon-check"></i>
                                                            </span>
                                                        </span>
                                            <span class="">{{ __('Remember Me') }}</span>
                                        </div>
                                    </fieldset>
                                </div>
                                @if (Route::has('password.request'))
                                    <div class="text-right"><a href="{{ route('password.request') }}" class="card-link">{{ __('Forgot Password?') }}</a></div>
                                @endif
                            </div>
                            <button type="submit" class="btn btn-primary float-right btn-inline">Login</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</b-modal>