    @include('elements.messages-error')

    <!-- add new sidebar starts -->
    <div class="add-new-data-sidebar">
        {!! Form::open(['route' => ['client-store'], 'method' => 'post', 'class' => 'form form-vertical', 'novalidate']) !!}
                @csrf
            <div class="add-new-data">

                <div class="div mt-2 px-2 d-flex new-data-title justify-content-between">
                    <div>
                        <h4>ADD NEW COMPANY</h4>
                    </div>
                    <div class="hide-data-sidebar">
                        <i class="feather icon-x"></i>
                    </div>
                </div>
                <div class="data-items pb-3">
                    <div class="data-fields px-2 mt-3">
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    {!! Form::label('company_name', 'Company Name *') !!}
                                    <div class="controls">
                                        {!!
                                            Form::text('company_name', old('company_name'), [
                                                'id' => 'company_name',
                                                'class' => 'form-control',
                                            ] + $validationRules['company_name'])
                                        !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    {!! Form::label('contact_name', 'Contact Name') !!}
                                    <div class="controls">
                                        {!!
                                            Form::text('contact_name', old('contact_name'), [
                                                'id' => 'contact_name',
                                                'class' => 'form-control',
                                            ] + $validationRules['contact_name'])
                                        !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    {!! Form::label('contact_number', 'Contact Number') !!}
                                    <div class="controls">
                                        {!!
                                            Form::text('contact_number', old('contact_number'), [
                                                'id' => 'contact_number',
                                                'class' => 'form-control',
                                            ] + $validationRules['contact_number'])
                                        !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    {!! Form::label('website', 'Website') !!}
                                    <div class="controls">
                                        {!!
                                            Form::text('website', old('website'), [
                                                'id' => 'website',
                                                'class' => 'form-control',
                                            ] + $validationRules['website'])
                                        !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    {!! Form::label('email', 'Email') !!}
                                    <div class="controls">
                                        {!!
                                            Form::email('email', old('email'), [
                                                'id' => 'email',
                                                'class' => 'form-control',
                                            ] + $validationRules['email'])
                                        !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    {!! Form::label('nrt_has_insurance', 'NRT has insurance for client') !!}
                                    <ul class="list-unstyled mb-0">

                                        <li class="d-inline-block mr-2">
                                            <fieldset>

                                            </fieldset>
                                        </li>

                                        <li class="d-inline-block mr-2">
                                            <fieldset>
                                                <div class="vs-radio-con vs-radio-danger">
                                                    {!!
                                                        Form::radio('nrt_has_insurance', 'no', old('nrt_has_insurance') === 'no')
                                                    !!}
                                                    <span class="vs-radio">
                                                                <span class="vs-radio--border"></span>
                                                                <span class="vs-radio--circle"></span>
                                                            </span>
                                                    <span class="">No</span>
                                                </div>
                                            </fieldset>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                            <div class="col-12">

                                <legend>Company Address: </legend>
                                @include('elements.address', [
                                    'namePreFix' => 'registered',
                                    'countries' => $countries,
                                    'type' => 'registered'
                                ])
                            </div>

                            <div class="col-12">
                                <div class="vs-checkbox-con vs-checkbox-success">
                                    {!!
                                        Form::checkbox('use_different_site_address', 'true', old('use_different_site_address') === 'true' || false)
                                    !!}
                                    <span class="vs-checkbox">
                                        <span class="vs-checkbox--check">
                                            <i class="vs-icon feather icon-check"></i>
                                        </span>
                                    </span>
                                    <span class="">Use different site address</span>
                                </div>
                            </div>

                            <div class="col-12">
                                <legend>Site Address: </legend>
                                @include('elements.address', [
                                    'namePreFix' => 'site',
                                    'countries' => $countries,
                                    'type' => 'site'
                                ])
                            </div>
                        </div>
                    </div>
                </div>
                <div class="add-data-footer d-flex justify-content-around px-3 mt-2">
                    <div class="add-data-btn">
                        <button class="btn btn-primary">Add</button>
                    </div>
                    <div class="cancel-data-btn">
                        <button class="btn btn-outline-danger">Cancel</button>
                    </div>
                </div>
            </div>
        {{ Form::close() }}
    </div>
    <!-- add new sidebar ends -->
