@extends('layouts.contentLayoutMaster')

@section('title')
	Create a Contact
@endsection

@php
    $breadcrumbs = [
        [
            'link'=>route('contacts'),
            'name' =>'Contacts'
        ]
    ]
@endphp

@section('vendor-style')
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/forms/select/select2.css') }}">
@endsection

@section('content')

	@include('elements.messages-error')

	{!! Form::open(['route' => ['contact-store'], 'method' => 'post', 'class' => 'form form-vertical', 'novalidate']) !!}
	@csrf
    <input type="hidden" name="clientId" value="{{ $selectedClientId }}">
    <input type="hidden" name="siteId" value="{{ $selectedSiteId }}">
    <input type="hidden" name="supplierId" value="{{ $selectedSupplierId }}">
	<div class="form-body">

	<!-- // Basic multiple Column Form section start -->
		<section id="multiple-column-form">
			<div class="row match-height">

				<div class="col-12">


					<div class="card">
						<div class="card-header">
							<h4 class="card-title">Contact Details</h4>
						</div>
						<div class="card-content">
							<div class="card-body">
								<div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('first_name', 'First Name *') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('first_name', old('first_name'), [
                                                        'id' => 'first_name',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['first_name'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('last_name', 'Last Name *') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('last_name', old('last_name'), [
                                                        'id' => 'last_name',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['last_name'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('salutation', 'Salutation') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('salutation', old('salutation'), [
                                                        'id' => 'salutation',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['salutation'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('email', 'Email *') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('email', old('email'), [
                                                        'id' => 'email',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['email'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('telephone', 'Telephone') !!}
                                            <div class="controls">
                                                <?php
                                                    $telephone = null;

                                                    if ($selectedClient) {
                                                        $telephone = $selectedClient->telephone;
                                                    } elseif ($selectedSite) {
                                                        $telephone = $selectedSite->telephone;
                                                    }
                                                ?>
                                                {!!
                                                    Form::text('telephone', old('telephone', $telephone), [
                                                        'id' => 'telephone',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['telephone'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('extension', 'Extension') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('extension', old('extension'), [
                                                        'id' => 'extension',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['extension'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('ddi', 'DDI') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('ddi', old('ddi'), [
                                                        'id' => 'ddi',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['ddi'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('mobile', 'Mobile') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('mobile', old('mobile'), [
                                                        'id' => 'mobile',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['mobile'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('department', 'Department') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('department', old('department'), [
                                                        'id' => 'department',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['department'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('job_title', 'Job Title') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('job_title', old('job_title'), [
                                                        'id' => 'job_title',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['job_title'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('client_ids', 'Companies') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::select('client_ids[]', $clients['options'], old('client_ids', [$selectedClientId]),
                                                        ['id' => 'client_ids', 'class' => 'select2 form-control', 'multiple' => 'multiple'] + $validationRules['client_ids'], $clients['optionAttributes'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('supplier_ids', 'Suppliers') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::select('supplier_ids[]', $suppliers['options'], old('supplier_ids', [$selectedSupplierId]),
                                                        ['id' => 'supplier_ids', 'class' => 'select2 form-control', 'multiple' => 'multiple'] + $validationRules['supplier_ids'], $suppliers['optionAttributes'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 col-12" id="Site">
                                        <div class="form-group">
                                            {!! Form::label('site_ids', 'Sites') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::select('site_ids[]', $sites['options'], old('site_ids', [$selectedSiteId]),
                                                        ['id' => 'site_ids', 'class' => 'select2 form-control', 'multiple' => 'multiple'] + $validationRules['site_ids'], $clients['optionAttributes'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-12 col-md-6">
                                        <div class="form-group">
                                            {!! Form::label('status', 'Status') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::select('status', $statuses['options'], old('status', app('request')->input('status') != null ? app('request')->input('status') : null),
                                                    [
                                                        'id' => 'status',
                                                        'class' => 'select2 form-control',
                                                    ] + $validationRules['status'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-6">
                                        <div class="form-group">
                                            {!! Form::label('referred_by', 'Referred By') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::select('referred_by', $referrers['options'], old('referred_by', app('request')->input('referred_by') != null ? app('request')->input('referred_by') : null),
                                                    [
                                                        'id' => 'referred_by',
                                                        'class' => 'select2 form-control',
                                                    ] + $validationRules['referred_by'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="col-12">
					<div class="card">
						<div class="card-content">
							<div class="card-body">
								<div class="row">
									<div class="col-12">
										<button type="submit" class="btn btn-primary mr-1 mb-1">Create</button>
										<a class="btn btn-flat-dark mb-1 p-1" href="{{route('sites')}}">Cancel</a>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>

		</div>
	{{ Form::close() }}

@endsection

@section('page-script')

    @include('panels.dropDownPickersScripts')

@endsection
