@extends('layouts.contentLayoutMaster')

@section('title')
    {{$object->fullName}}
@endsection

@php
    $breadcrumbs = [
        [
            'link'=>route('contacts'),
            'name' =>'Contacts'
        ]
    ]
@endphp

@section('vendor-style')
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/forms/select/select2.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/datatables.min.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/file-uploaders/dropzone.min.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/extensions/dataTables.checkboxes.css') }}">
@endsection

@section('page-style')
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/plugins/forms/validation/form-validation.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/plugins/file-uploaders/dropzone.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/pages/data-list-view.css') }}">
@endsection

@section('object-toolbar')
    <b-button

        variant="outline-primary"
        class="mb-1"
        href="{{ route('contact-view', $object->id) }}"
        ><i class="feather icon-grid"></i> View
    </b-button>

@endsection

@section('content')
    @include('elements.messages-error')

    {!! Form::model($object, ['route' => ['contact-update', $object->id], 'method' => 'post', 'class' => 'form form-vertical', 'novalidate']) !!}

        @csrf

        <section id="multiple-column-form">
            <div class="row match-height">

                <div class="col-12">


                    <div class="card">
                        <div class="card-header object-toolbar">
                            <h4 class="card-title">Contact Details</h4>
                            <div class="pull-right">
                                @include('elements.document-note-buttons')
                            </div>

                        </div>
                        <div class="card-content">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('first_name', 'First Name *') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('first_name', old('first_name'), [
                                                        'id' => 'first_name',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['first_name'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('last_name', 'Last Name *') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('last_name', old('last_name'), [
                                                        'id' => 'last_name',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['last_name'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('salutation', 'Salutation') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('salutation', old('salutation'), [
                                                        'id' => 'salutation',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['salutation'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('email', 'Email *') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('email', old('email'), [
                                                        'id' => 'email',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['email'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('telephone', 'Telephone') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('telephone', old('telephone'), [
                                                        'id' => 'telephone',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['telephone'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('extension', 'Extension') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('extension', old('extension'), [
                                                        'id' => 'extension',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['extension'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('mobile', 'Mobile') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('mobile', old('mobile'), [
                                                        'id' => 'mobile',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['mobile'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('ddi', 'DDI') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('ddi', old('ddi'), [
                                                        'id' => 'ddi',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['ddi'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('department', 'Department') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('department', old('department'), [
                                                        'id' => 'department',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['department'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('job_title', 'Job Title') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('job_title', old('job_title'), [
                                                        'id' => 'job_title',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['job_title'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('client_ids', 'Company') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::select('client_ids[]', $clients['options'], old('client_ids', $object->clients()->withTrashed()->get()),
                                                        ['id' => 'client_ids', 'class' => 'select2 form-control', 'multiple' => 'multiple'] + $validationRules['client_ids'], $clients['optionAttributes'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('supplier_ids', 'Suppliers') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::select('supplier_ids[]', $suppliers['options'], old('supplier_ids', $object->suppliers()->withTrashed()->get()),
                                                        ['id' => 'supplier_ids', 'class' => 'select2 form-control', 'multiple' => 'multiple'] + $validationRules['supplier_ids'], $clients['optionAttributes'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6 col-12 picker" id="Site">
                                        <div class="form-group">
                                            {!! Form::label('site_ids', 'Site') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::select('site_ids[]', $sites['options'], old('site_ids', $object->sites()->withTrashed()->get()),
                                                        ['id' => 'site_ids', 'class' => 'select2 form-control', 'multiple' => 'multiple'] + $validationRules['site_ids'], $clients['optionAttributes'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-12 col-md-6">
                                        <div class="form-group">
                                            {!! Form::label('status', 'Status') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::select('status', $statuses['options'], old('status', app('request')->input('status') != null ? app('request')->input('status') : null),
                                                    [
                                                        'id' => 'status',
                                                        'class' => 'select2 form-control',
                                                    ] + $validationRules['status'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-6">
                                        <div class="form-group">
                                            {!! Form::label('referred_by', 'Referred By') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::select('referred_by', $referrers['options'], old('referred_by', app('request')->input('referred_by') != null ? app('request')->input('referred_by') : null),
                                                    [
                                                        'id' => 'referred_by',
                                                        'class' => 'select2 form-control',
                                                    ] + $validationRules['referred_by'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-12">
                    <div class="card">
                        <div class="card-content">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-12">
                                        <button type="submit" class="btn btn-primary mr-1 mb-1">Save</button>
                                        <a class="btn btn-flat-dark mb-1 p-1" href="{{route('contacts')}}">Cancel</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    {{ Form::close() }}


    @include('elements.documents-side-panel', [
        'types' => [
            [
                'id' => 'sidebar-documents',
                'title' => 'General Documents',
                'uploadRouteName' => $routePrefixSingular . '-document-upload',
                'documents' => $object->getDocumentsByType()
            ]
        ]
    ])
    @include('elements.notes-side-panel')

@endsection

@section('vendor-script')
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/extensions/dropzone.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.buttons.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.bootstrap4.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/dataTables.select.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.checkboxes.min.js') }}"></script>
@endsection

@section('page-script')
    <script>

        window.pageData = {!! json_encode($object) !!};
        window.pageData.parent_class = "Contact";
        window.pageData.parent_id = {{ $object->id }};
        window.pageData.address_types = {!! json_encode($object->getAddressTypes()) !!};

    </script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/datatables/datatable.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/ui/data-list-view.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/extensions/dropzone.js') }}"></script>

@endsection
