@extends('layouts.contentLayoutMaster')

@section('title')
    Contacts
@endsection

@php
    $breadcrumbs = [
        [
            'link'=>'/',
            'name' =>'Dashboard'
        ]
    ]
@endphp

@section('vendor-style')
    {{-- Page Css files --}}
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/datatables.min.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/file-uploaders/dropzone.min.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/extensions/dataTables.checkboxes.css') }}">
@endsection

@section('page-style')
    {{-- Page Css files --}}
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/plugins/file-uploaders/dropzone.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/pages/data-list-view.css') }}">
@endsection

@section('content')
    <section id="data-list-view" class="data-list-view-header">
        <!-- DataTable starts -->
        <div class="table-responsive">
            <table class="table data-list-view data-list-view-compact ajax" data-table-id="contacts">
                <thead>
                <tr>

                    <th class="edit"></th>
                    <th>First name</th>
                    <th>Last name</th>
                    <th>Job Title</th>
                    <th>Company / Site</th>
                    <th>Main telephone</th>
                    <th>DDI</th>
                    <th>Mobile</th>
                    <th>Email</th>
                </tr>
                </thead>
            </table>
        </div>
        <!-- DataTable ends -->
        {{-- @include('clients.sidebar-create') --}}
    </section>
    <!-- Data list view end -->

@endsection

@section('vendor-script')
    {{-- Vendor js files --}}
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/extensions/dropzone.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.buttons.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.bootstrap4.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/dataTables.select.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.checkboxes.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/forms/select/select2.full.min.js') }}"></script>
@endsection

@section('page-script')
    {{-- Page js files --}}
    <script type="text/javascript">
        let order = [[2, "asc"]];
    </script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/forms/select/form-select2.js') }}"></script>
    <script type="text/javascript">
        var dataTables = {
            contacts:{
                ajaxIndexUrl:'/contacts/ajax-index',
                ajaxMethod: 'GET',
                order: [[2, "asc"]],
                ajaxIndexColumns:[

                    {
                        'orderable' : false,
                        'searchable' : false,
                        'data' : 'actions'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'first_name'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'last_name'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'job_title'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'company'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'telephone'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'ddi'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'mobile'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'email'
                    },
                ]
            }
        }
    </script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/datatables/ajaxIndexTable.js') }}"></script>
@endsection
