@extends('layouts.contentLayoutMaster')

@section('title')

    {{$object->fullName}}
@endsection

@php


    $breadcrumbs = [
        [
            'link'=>route('contacts'),
            'name' =>'Contacts'
        ]
    ]
@endphp

@section('vendor-style')
    {{-- Page Css files --}}
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/forms/select/select2.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/datatables.min.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/file-uploaders/dropzone.min.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/extensions/dataTables.checkboxes.css') }}">
@endsection

@section('page-style')
    {{-- Page Css files --}}
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/plugins/forms/validation/form-validation.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/plugins/file-uploaders/dropzone.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/pages/data-list-view.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/pages/app-invoice.css') }}">
@endsection

@section('object-toolbar')


    <b-button

        variant="outline-primary"
        class="mb-1"
        href="{{ route('contact-edit', $object->id) }}"
        ><i class="feather icon-edit"></i> Edit
    </b-button>

@endsection

@section('content')
    @include('elements.messages-error')

        <section id="multiple-column-form">
            <div class="row match-height">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body pb-0">

                            <div class="pull-right">

                                <button
                                    type="button"
                                    class="btn btn-primary mb-1 p-1 show-data-sidebar"
                                    data-sidebar-content="sidebar-documents">
                                    <i class="feather icon-paperclip"></i>
                                    Documents
                                </button>

                            </div>

                        </div>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-4 col-md-4">
                    <div class="card">
                        <div class="card-header object-toolbar">
                            <h4 class="card-title">Contact Details</h4>
                        </div>
                        <div class="card-content">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-xl-6 col-lg-12 mt-2 mt-xl-0">
                                        <div class="d-flex align-items-center">
                                            <div class="color-box bg-light-success">
                                                <i data-feather="trending-up" class="text-success"></i>
                                            </div>
                                            <div class="mb-1">
                                                <h5 class="mb-0">
                                                    @if (!empty($object->title))
                                                        {{$object->title->label}}
                                                    @endif
                                                    {{$object->fullName}}
                                                </h5>
                                                <small><i class="feather icon-user"></i> Full Name</small>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 mt-2 mt-xl-0">

                                        @if (!empty($object->telephone))
                                            <div class="d-flex align-items-center">
                                                <div class="color-box bg-light-success">
                                                    <i data-feather="trending-up" class="text-success"></i>
                                                </div>
                                                <div class="mb-1">
                                                    <h5 class="mb-0">
                                                        {{$object->telephone}}
                                                        @if (!empty($object->extension))
                                                        [Ext. {{$object->extension}}]
                                                        @endif
                                                    </h5>
                                                    <small><i class="feather icon-phone"></i> Telephone</small>
                                                </div>
                                            </div>
                                        @endif
                                        @if (!empty($object->ddi))
                                            <div class="d-flex align-items-center">
                                                <div class="color-box bg-light-success">
                                                    <i data-feather="trending-up" class="text-success"></i>
                                                </div>
                                                <div class="mb-1">
                                                    <h5 class="mb-0">
                                                        {{$object->ddi}}
                                                    </h5>
                                                    <small><i class="feather icon-phone"></i> DDI Telephone</small>
                                                </div>
                                            </div>
                                        @endif
                                        @if (!empty($object->mobile))
                                            <div class="d-flex align-items-center">
                                                <div class="color-box bg-light-success">
                                                    <i data-feather="trending-up" class="text-success"></i>
                                                </div>
                                                <div class="mb-1">
                                                    <h5 class="mb-0">
                                                        {{$object->mobile}}
                                                    </h5>
                                                    <small><i class="feather icon-smartphone"></i> Mobile</small>
                                                </div>
                                            </div>
                                        @endif
                                        @if (!empty($object->department))
                                            <div class="d-flex align-items-center">
                                                <div class="color-box bg-light-success">
                                                    <i data-feather="trending-up" class="text-success"></i>
                                                </div>
                                                <div class="mb-1">
                                                    <h5 class="mb-0">
                                                        {{$object->department}}
                                                    </h5>
                                                    <small><i class="feather icon-info"></i> Department</small>
                                                </div>
                                            </div>
                                        @endif
                                        @if (!empty($object->job_title))
                                            <div class="d-flex align-items-center">
                                                <div class="color-box bg-light-success">
                                                    <i data-feather="trending-up" class="text-success"></i>
                                                </div>
                                                <div class="mb-1">
                                                    <h5 class="mb-0">
                                                        {{$object->job_title}}
                                                    </h5>
                                                    <small><i class="feather icon-info"></i> Job Title</small>
                                                </div>
                                            </div>
                                        @endif


                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <pricing-page-info
                        :parent-class="parent_class"
                        :parent-id="parent_id"
                        :data="pricingPageInfo"
                        :notes="processedNotes"
                        save-route="{{ '/'.$routePrefixPlural.'/'.$object->id.'/add-note' }}"
                    ></pricing-page-info>

                    <div class="card">
                        <div class="card-content">
                            <div class="card-body">
                                <notes
                                    :notes="processedNotes"
                                    :parent-class="parent_class"
                                    :parent-id="parent_id"
                                    save-route="{{ '/'.$routePrefixPlural.'/'.$object->id.'/add-note'}}"
                                    delete-route="{{ '/'.$routePrefixPlural.'/delete-note'}}"
                                ></notes>

                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-xl-5 col-lg-5 col-md-5">
                    <div class="card">
                        <div class="card-content">
                            <div class="card-body">

                                <addresses
                                    :addresses="addresses"
                                    :address-types="address_types"
                                    :parent-class="parent_class"
                                    :parent-id="parent_id"
                                ></addresses>

                            </div>
                        </div>
                    </div>
                    

                </div>
                <div class="col-xl-3 col-lg-3 col-md-3">
                    <div class="card plan-card border-primary">
                        <div class="card-header d-flex justify-content-between align-items-center pt-75 pb-25">
                            <h5 class="mb-0"> Last Update </h5>
                            <span class="badge badge-info"> {{$object->status}} </span>
                            <small class="text-muted w-100">{{$object->updated_at}}</small>
                        </div>
                        <div class="card-body">
                            
                            @if (!empty($object->clients) || !empty($object->suppliers))

                                <h5 class="mb-1"> Assosiactions </h5>

                                @foreach ($object->clients as $client)
                                    <b-link href="{{ route('client-view', $client->id) }}"
                                        class="mb-1 d-block"
                                        v-b-tooltip.hover.left title="View profile" >
                                        <h6 class="mb-0">{{$client->company_name}}</h6>
                                        <small><i class="feather icon-home"></i></small> Client</small>
                                    </b-link>
                                @endforeach

                                @foreach ($object->suppliers as $supplier)
                                    <b-link href="{{ route('supplier-view', $supplier->id) }}"
                                        class="mb-1 d-block"
                                        v-b-tooltip.hover.left title="View profile" >
                                        <h6 class="mb-0">{{$supplier->name}}</h6>
                                        <small><i class="feather icon-layers"></i> Supplier</small>
                                    </b-link>
                                @endforeach
                            
                            @endif
                            
                            

                        </div>
                    </div>

                </div>

            </div>
        </section>

    @include('elements.documents-side-panel', [
        'types' => [
            [
                'id' => 'sidebar-documents',
                'title' => 'General Documents',
                'uploadRouteName' => $routePrefixSingular . '-document-upload',
                'documents' => $object->getDocumentsByType()
            ]
        ]
    ])


@endsection

@section('vendor-script')
    {{-- Vendor js files --}}
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/extensions/dropzone.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.buttons.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.bootstrap4.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/dataTables.select.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.checkboxes.min.js') }}"></script>

@endsection

@section('page-script')
    <script>
        window.pageData = {!! json_encode($object) !!};
        window.pageData.parent_class = "Client";
        window.pageData.parent_id = {{ $object->id }};
        window.pageData.address_types = {!! json_encode($object->getAddressTypes()) !!};
        window.pageData.pricingPageInfo = {!! json_encode($object->getNotesByType('pricingPageInfo')->get()->first()) !!} || {
            'type':'pricingPageInfo',
            'content':'',
            'updated_at':'',
            'updated_by':null
        };

    </script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/datatables/datatable.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/ui/data-list-view.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/extensions/dropzone.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/navs/navs.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/pages/app-invoice.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/datatables/ajaxIndexTable.js') }}"></script>
@endsection

