<table
    class="table data-list-view data-list-view-compact"
    @if(isset($createRoute))
        data-create-route="{{ $createRoute }}"
    @endif
    data-selectRow="false"
    data-order='[[ 4, "asc" ]]'
>
    <thead>
    <tr>
        <th class="edit" ></th>
        <th style="max-width: 200px">Title</th>
        <th>Company</th>
        <th>Site</th>
        <th>Expiry Date</th>
    </tr>
    </thead>
    <tbody>
    @foreach($contracts as $contract)
    <tr data-id="{{ $contract->id }}">
        <td>
            <div class="one-line">
                <a href="{{route('contract-view', $contract->id)}}"
                    class="btn btn-icon btn-icon rounded-circle btn-flat-success waves-effect waves-light"
                    data-toggle="tooltip"
                    data-placement="bottom"
                    title="View"
                    data-original-title="View"
                >
                    <i class="feather icon-eye"></i>
                </a>
                <a href="{{ route('contract-edit', $contract->id) }}">
                    <button
                        type="button"
                        class="btn btn-icon btn-icon rounded-circle btn-flat-primary waves-effect waves-light"
                        data-toggle="tooltip"
                        data-placement="bottom"
                        title="Edit"
                        data-original-title="Edit"
                    >
                        <i class="feather icon-edit-2"></i>
                    </button>
                </a>
                @if(\Auth::user()->isSuperAdmin())
                @include('elements.deleteButtonWithConfirmBox', [
                    'confirmMessage' => 'Are you sure you want to delete this contract record?',
                    'successRoute' => route('contract-delete', $contract->id),
                ])
                @endif
            </div>
        </td>
        <td>
            <a href="{{ route('contract-edit', $contract->id) }}">{{ $contract->name }}</a>
        </td>
        <td>
            @if($contract->client)
                <a href="{{ route('client-view', $contract->client->id) }}">{{ $contract->clientName() }}</a>
            @endif
        </td>
        <td>
            @if($contract->site)
                <a href="{{ route('site-view', $contract->site->id) }}">{{ $contract->siteName() }}</a>
            @endif
        </td>
        <td data-sort="{{ \Carbon\Carbon::parse($contract->expiry_date)->format(env('SORT_DATE_FORMAT')) }}">
            {{ \Carbon\Carbon::parse($contract->expiry_date)->format(env('DEFAULT_DATE_FORMAT')) }}
        </td>
    </tr>
    @endforeach
    </tbody>
</table>
