@extends('layouts.contentLayoutMaster')

@section('title')
    Customer PO
@endsection

@php
    $breadcrumbs = [
        [
            'link'=>'/',
            'name' =>'Dashboard'
        ]
    ]
@endphp

@section('vendor-style')
    {{-- Page Css files --}}
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/datatables.min.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/extensions/dataTables.checkboxes.css') }}">
@endsection

@section('page-style')
    {{-- Page Css files --}}
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/pages/data-list-view.css') }}">
@endsection

@section('content')
    <section id="data-list-view" class="data-list-view-header">

        <!-- DataTable starts -->
        <div class="table-responsive">
            <section id="data-list-view" class="data-list-view-header">

                <!-- DataTable starts -->
                <div class="table-responsive">
                    <table
                        class="table data-list-view data-list-view-compact ajax"
                        data-table-id="clients"
                    >
                        <thead>
                            <tr>
                                <th class="edit"></th>
                                <th>Date</th>
                                <th>Created Date</th>
                                <th>Company</th>
                                <th>Site</th>
                                <th>PO Number</th>
                                <th>Opportunity</th>
                                <th>Net Amount</th>
                            </tr>
                        </thead>

                    </table>
                </div>
                <!-- DataTable ends -->
                {{-- @include('clients.sidebar-create') --}}
            </section>
        </div>
        <!-- DataTable ends -->
        {{-- @include('clients.sidebar-create') --}}
    </section>
    <!-- Data list view end -->

@endsection

@section('vendor-script')
    {{-- Vendor js files --}}
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.buttons.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.bootstrap4.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/dataTables.select.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.checkboxes.min.js') }}"></script>
@endsection

@section('page-script')
    <script type="text/javascript">
        var dataTables = {
            clients:{
                ajaxIndexUrl:'/customer-purchase-orders/ajax-index',
                ajaxMethod: 'GET',
                order: [[2, "desc"]],
                ajaxIndexColumns:[
                    {
                        'orderable' : false,
                        'searchable' : false,
                        'data' : 'actions'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'job_date'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'created_at'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'company'
                    },
                    {
                        'orderable' : false,
                        'searchable' : true,
                        'data' : 'site'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'name'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'opportunity'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'net_amount'
                    },
                ]
            }
        }
    </script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/datatables/ajaxIndexTable.js') }}"></script>
@endsection

