<table class="table data-list-view data-list-view-compact ajax"
       data-table-id="customerPurchaseOrders"
       width="100%"
       data-selectRow="false">
    <thead>
    <tr>
        <th class="edit"></th>
        <th>Company</th>
        <th>Site</th>
        <th>PO Number</th>
        <th>Description</th>
        <th>Opportunity</th>
        <th>Date</th>
        <th>Net Amount</th>
    </tr>
    </thead>
</table>

@section('page-script')
    @parent
    <script type="text/javascript">
        if (window.dataTables === undefined) {
            window.dataTables = {};
        }

        dataTables.customerPurchaseOrders = {
            createRoute: '{{ $createRoute }}',
            ajaxIndexUrl: '{{ $fetchUrl }}',
            ajaxMethod: 'POST',
            data: {
                parent_id: {{ $object->id }},
                parent_class: '{{ addslashes(get_class($object)) }}'
            },

            order: [[6, "desc"]],
            ajaxIndexColumns:[
                {
                    'orderable' : false,
                    'searchable' : false,
                    'data' : 'actions'
                },
                {
                    'orderable' : true,
                    'searchable' : true,
                    'data' : 'company'
                },
                {
                    'orderable' : true,
                    'searchable' : true,
                    'data' : 'site'
                },
                {
                    'orderable' : true,
                    'searchable' : true,
                    'data' : 'name'
                },
                {
                    'orderable' : true,
                    'searchable' : true,
                    'data' : 'description'
                },
                {
                    'orderable' : true,
                    'searchable' : true,
                    'data' : 'opportunity'
                },
                {
                    'orderable' : true,
                    'searchable' : true,
                    'data' : 'job_date'
                },
                {
                    'orderable' : true,
                    'searchable' : true,
                    'data' : 'net_amount'
                },
            ]
        }
    </script>
@endsection
