<table
    class="table data-list-view data-list-view-compact"
    @if(isset($createRoute))
        data-create-route="{{ $createRoute }}"
    @endif
    data-selectRow="false"
    data-order='[[ 1, "desc" ]]'
>
    <thead>
    <tr>
        <th class="edit"></th>
        <th>Delivery Number</th>
        <th>Created Date</th>
        <th>Delivery Date</th>
        <th>Company</th>
        <th>Site</th>
        <th>Description</th>
    </tr>
    </thead>
    <tbody>
    @foreach($deliveries as $delivery)
        <tr data-id="{{ $delivery->id }}">

            <td>
                <div class="one-line">
                    <a href="{{route('delivery-view', $delivery->id)}}"
                       class="btn btn-icon btn-icon rounded-circle btn-flat-success waves-effect waves-light"
                       data-toggle="tooltip"
                       data-placement="bottom"
                       title="View"
                       data-original-title="View"
                    >
                        <i class="feather icon-eye"></i>
                    </a>
                    <a href="{{ route('delivery-edit', $delivery->id) }}">
                        <button
                            type="button"
                            class="btn btn-icon btn-icon rounded-circle btn-flat-primary waves-effect waves-light"
                            data-toggle="tooltip"
                            data-placement="bottom"
                            title="Edit"
                            data-original-title="Edit"
                        >
                            <i class="feather icon-edit-2"></i>
                        </button>
                    </a>
                    @if(\Auth::user()->isSuperAdmin())
                        @include('elements.deleteButtonWithConfirmBox', [
                            'confirmMessage' => 'Are you sure you want to delete this delivery record?',
                            'successRoute' => route('delivery-delete', $delivery->id),
                        ])
                    @endif
                </div>
            </td>
            <td data-sort="{{ $delivery->id }}"><a href="{{ route('delivery-edit', $delivery->id) }}">{{ $delivery->delivery_number }}</a></td>
            <td data-sort="{{ $delivery->created_at ? \Carbon\Carbon::parse($delivery->created_at)->format(env('SORT_DATE_FORMAT')) : '' }}">
                {{ $delivery->created_at ? \Carbon\Carbon::parse($delivery->created_at)->format(env('DEFAULT_DATE_FORMAT')) : '' }}
            </td>
            <td data-sort="{{ $delivery->delivery_date ? \Carbon\Carbon::parse($delivery->delivery_date)->format(env('SORT_DATE_FORMAT')) : '' }}">
                {{ $delivery->delivery_date ? \Carbon\Carbon::parse($delivery->delivery_date)->format(env('DEFAULT_DATE_FORMAT')) : '' }}
            </td>
            <td>
                @if($delivery->client)
                    <a href="{{ route('client-view', $delivery->client->id) }}">{{ $delivery->clientName() }}</a>
                @endif
            </td>
            <td>
                @if($delivery->site)
                    <a href="{{ route('site-view', $delivery->site->id) }}">{{ $delivery->siteName() }}</a>
                @endif
            </td>
            <td>{{ $delivery->description ?? '' }}</td>
        </tr>
    @endforeach
    </tbody>
</table>
