<div class="card card-developer-meetup">
    <div class="card-header object-toolbar">
        <h4 class="card-title">Call outs & Repairs</h4>
        <b-button
            variant="primary"
            class="btn-icon"
            href="{{ route('call-out-create', '') }}?{{ $createUrlParamName }}={{ $object->id }}"
            target="_blank"
            style="position: absolute;top: 9px;right: 10px;"
        >
            <i class="feather icon-plus"></i>
        </b-button>
    </div>
    <div class="card-body">

        @if ($object->$accessorField->count() == 0)
            <p>No call out record</p>
        @else
            @foreach($object->$accessorField->sortByDesc('visit_date')->take($take) as $visit)
                <div class="media d-flex justify-content-between">
                    <div class="media-body">
                        <h6 class="mb-0"><a target="_blank" href="{{ route('call-out-view', ['id' => $visit->id]) }}">{{ $visit->getJobNumberPrefix() . $visit->id }} - {{$visit->name}}</a></h6>
                        <i class="feather icon-calendar"></i> <small>{{ \Carbon\Carbon::parse($visit->visit_date)->format(env('DEFAULT_DATE_FORMAT')) }}</small>
                        <div class="badge badge-info badge-pill badge-sm">
                            {{ ucfirst($visit->jobStatus->label) }}
                        </div>
                    </div>
                    @if ($visit->operatives->count() > 0)
                        <b-avatar-group size="32px" class="">
                            <i class="feather icon-users mt-75 mb-75 mr-1"></i>
                            @foreach($visit->operatives as $operative)
                                <b-avatar
                                    v-b-tooltip.hover.bottom
                                    variant="primary"
                                    class="pull-up"
                                    title="{{$operative->fullname}}"
                                    text="{{$operative->first_name[0]}}{{$operative->last_name[0]}}"
                                    variant="primary">
                                </b-avatar>
                            @endforeach
                        </b-avatar-group>
                    @endif
                </div>
                <div class="media mt-1 d-flex justify-content-between">
                    @if(!empty($visit->contractName()))
                        <div class="media-body">
                            <h6 class="mb-0">{{$visit->contractName()}}</h6>
                            <small>Contract</small>
                        </div>
                    @endif
                    @if(!empty($visit->siteName()))
                        <div class="media-body">
                            <h6 class="mb-0">{{$visit->siteName()}}</h6>
                            <small>Site</small>
                        </div>
                    @endif
                </div>
                <hr>
            @endforeach
            <button
                type="button"
                class="btn btn-primary mt-1 p-1 show-data-sidebar"
                data-sidebar-content="sidebar-call-outs">
                <i class="feather icon-list"></i>
                All Call outs & Repairs
            </button>
        @endif
    </div>
</div>
