@foreach($types as $type)
    <section class="data-list-view-header">
        <div class="add-new-data-sidebar" id="{{ $type['id'] }}">
            <div class="add-new-data js-sidebar-content w-75">

                <div class="div mt-2 px-2 d-flex new-data-title justify-content-between">
                    <div>
                        <h4>{{ $type['title'] }}</h4>
                    </div>
                    <div class="hide-data-sidebar">
                        <i class="feather icon-x"></i>
                    </div>
                </div>
                <div class="data-items pb-3">
                    <div class="data-fields px-2 mt-3">
                        <div class="row">
                            <div class="col-12">
                                {!!
                                    Form::open([
                                        'route' => [$type['uploadRouteName'], $object->id],
                                        'method' => 'post',
                                        'class' => 'dropzone dropzone-area',
                                        'id' => 'dpz-multiple-files',
                                        'data-download-route-prefix' => $routePrefixPlural,
                                        'data-panel-id' => $type['id'],
                                    ])
                                !!}
                                <input type="hidden" name="object_id" value="{{ $object->id }}" />
                                <div class="dz-message">Drop Files Here To Upload</div>
                                {{ Form::close() }}
                            </div>
                        </div>
                        <div class="table-responsive mt-2 mb-2">
                            <table class="table zero-configuration" data-order='[[ 0, "desc" ]]'>
                                <thead>
                                <tr>
                                    <th>Details</th>
                                    <th>Document Name</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody class="js-{{ $type['id'] }}-document-list">
                                @foreach($type['documents'] as $document)
                                    @php $exists = Illuminate\Support\Facades\Storage::disk('local')->exists($document->full_path); @endphp

                                    <tr data-document-contentID="{{$document->id}}">

                                        <th scope="row" width="150" data-sort="{{ \Carbon\Carbon::parse($document->created_at)->format(env('SORT_DATE_FORMAT')) }}">{{ $document->created_at->format(env('DEFAULT_DATE_FORMAT')) }}<br>{{ $document->createdByUser->fullName }}</th>
                                        <td>{{ $document->original_name }}</td>

                                        <td width="150">
                                            @if($document->isPdf())
                                                <a href="{{ route('document-preview', $document->id) }}" class="btn btn-icon btn-icon rounded-circle btn-flat-primary waves-effect waves-light" target="_blank">
                                                    <i class="feather icon-eye"></i>
                                                </a>
                                            @endif
                                            <a href="{{ route($routePrefixSingular . '-document-download', $document->id) }}" class="btn btn-icon btn-icon rounded-circle btn-flat-primary waves-effect waves-light">
                                                <i class="feather icon-download"></i>
                                            </a>
                                            @if(\Auth::user()->isSuperAdmin())
                                                <button type="button" class="btn btn-icon btn-icon rounded-circle btn-flat-danger waves-effect waves-light" @click="contentDelete('document', {{$document->id}}, '{{ route($routePrefixSingular . '-delete-document') }}')">
                                                    <i class="feather icon-trash"></i>
                                                </button>
                                            @endif
                                        </td>
                                    </tr>

                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endforeach
