<section class="data-list-view-header">
    <div class="add-new-data-sidebar" id="sidebar-notes">
        <div class="add-new-data js-sidebar-content w-50">

            <div class="div mt-2 px-2 d-flex new-data-title justify-content-between">
                <div>
                    <h4>Notes</h4>
                </div>
                <div class="hide-data-sidebar">
                    <i class="feather icon-x"></i>
                </div>
            </div>
            <div class="data-items pb-3">
                <div class="data-fields px-2 mt-3">


                    <div class="table-responsive mt-2 mb-2">
                        <table class="table zero-configuration" data-order='[[ 0, "desc" ]]'>
                            <thead>
                            <tr>
                                @if ($object->notes->count() == 0)
                                    <th id="js-no-notes" scope="row">No Notes have been added</th>
                                @else
                                    <th>Details</th>
                                    <th>Subject</th>

                                    <th></th>
                                @endif
                            </tr>
                            </thead>
                            <tbody class="js-note-list">
                            @foreach($notes as $note)
                                <tr data-note-contentID="{{$note->id}}">

                                    <th scope="row" width="150" data-sort="{{ \Carbon\Carbon::parse($note->created_at)->format(env('SORT_DATE_FORMAT')) }}">{{ $note->created_at->format(env('DEFAULT_DATE_FORMAT')) }}<br>
                                    {{ $note->createdByUser->fullName }}</th>

                                    <td>
                                        <div class="badge badge-secondary">{{ ucfirst($note->type) }}</div>

                                        @if(!empty($note->subject))
                                            {{ $note->subject }}
                                        @else
                                            {{ substr($note->content, 0, 50) }}
                                        @endif

                                        <div data-note-content-id="{{$note->id}}" data-note-content-title="
                                            @if(!empty($note->subject))
                                                {{ $note->subject }}
                                            @else
                                                {{ substr($note->content, 0, 20) }}
                                            @endif"
                                        class="d-none">
                                            {{ $note->content }}
                                        </div>
                                    </td>
                                    <td width="150">
                                        <button type="button" class="btn btn-icon btn-icon rounded-circle btn-flat-primary waves-effect waves-light" data-toggle="modal" data-target="#modal-note" @click="noteContentPopulate({{$note->id}})">
                                            <i class="feather icon-eye"></i>
                                        </button>
                                        @if($note->documents->isNotEmpty())
                                            @php $document = $note->documents->first(); @endphp
                                            <a href="{{ route('note-document-download', $document->id) }}" class="btn btn-icon btn-icon rounded-circle btn-flat-primary waves-effect waves-light"><i class="feather icon-download"></i></a>
                                        @endif
                                        @if(\Auth::user()->isSuperAdmin())
                                        <button type="button" class="btn btn-icon btn-icon rounded-circle btn-flat-danger waves-effect waves-light js-note-delete" @click="contentDelete('note', {{$note->id}}, '{{ route($routePrefixSingular . '-delete-note') }}')">
                                                <i class="feather icon-trash"></i>
                                            </button>
                                        @endif
                                    </td>
                                </tr>
                            @endforeach

                            </tbody>
                        </table>
                    </div>


                </div>
            </div>
            <div class="row ml-2 mr-2 mt-2">
                <div class="col-12">
                    <button
                        type="button"
                        class="btn btn-primary mb-1 p-1 show-data-sidebar"
                        data-sidebar-content="sidebar-note-add">
                        <i class="feather icon-plus"></i>
                        Add Note
                    </button>
                </div>
            </div>
        </div>
    </div>
</section>
<div class="modal fade text-left" id="modal-note" tabindex="-1" aria-labelledby="myModalLabel17" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" id="modal-note-title"></h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body" id="modal-note-content"></div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary waves-effect waves-float waves-light" data-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
</div>

<section class="data-list-view-header">
    <div class="add-new-data-sidebar" id="sidebar-note-add">
        <div class="add-new-data js-sidebar-content w-25">

            <div class="div mt-2 px-2 d-flex new-data-title justify-content-between">
                <div>
                    <h4>Add new note</h4>
                </div>
                <div class="hide-data-sidebar">
                    <i class="feather icon-x"></i>
                </div>
            </div>
            <div class="data-items pb-3">
                <div class="data-fields px-2 mt-3">
                    {!!
                        Form::open([
                            'route' => [$routePrefixSingular . '-add-note', $object->id],
                            'method' => 'post',
                            'data-delete-route-prefix' => $routePrefixPlural
                        ])
                    !!}
                    <input type="hidden" name="object_id" value="{{ $object->id }}" />

                    <fieldset>
                        <div class="form-group">
                            <div class="row">
                                <div class="col-12">
                                    <div class="form-group">
                                        {!! Form::label('subject', 'Subject') !!}
                                        <div class="controls">
                                            {!!
                                                Form::text('subject', old('subject', ''), [
                                                    'id' => 'subject',
                                                    'class' => 'form-control',
                                                    'data-validation-required-message' => 'Please type in the subject',
                                                    'data-validation-illegal-regex' => '^[^\{\}\[\]<>]+$',
                                                    'data-validation-illegal-message' => 'Must not contain illegal characters such as { [ < >'

                                                ])
                                            !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="form-group">
                                        {!! Form::label('notes', 'Note') !!}
                                        <div class="controls">
                                            {!!
                                                Form::textarea('notes', old('note', ''), [
                                                    'id' => 'notes',
                                                    'class' => 'form-control',
                                                    'data-validation-required-message' => 'Please type in the note',
                                                    'data-validation-illegal-regex' => '^[^\{\}\[\]<>]+$',
                                                    'data-validation-illegal-message' => 'Must not contain illegal characters such as { [ < >'

                                                ])
                                            !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <button type="submit" id="add-note" class="btn btn-primary">Add</button>
                                </div>
                            </div>

                        </div>
                    </fieldset>

                    {{ Form::close() }}

                </div>
            </div>
        </div>
    </div>
</section>
