@extends('layouts.contentLayoutMaster')

@section('title')
    Invoices
@endsection

@php
    $breadcrumbs = [
        [
            'link'=>'/',
            'name' =>'Dashboard'
        ]
    ];

    $invoices = \App\Models\Invoice::query()->orderBy('created_at', 'desc')->get();
@endphp

@section('vendor-style')
    {{-- Page Css files --}}
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/datatables.min.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/extensions/dataTables.checkboxes.css') }}">
@endsection

@section('page-style')
    {{-- Page Css files --}}
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/pages/data-list-view.css') }}">
@endsection

@section('content')
    <section id="data-list-view" class="data-list-view-header">

        <!-- DataTable starts -->
        <div class="table-responsive">
            <table
                class="table data-list-view data-list-view-compact"
                data-order='[[ 2, "desc" ]]'
                data-selectRow="false"
            >
                <thead>
                    <tr>
                        <th class="edit"></th>
                        <th>Invoice Number</th>
                        <th>Invoice Date</th>
                        <th>Invoice Net Amount £</th>
                        <th>Invoice Tax Amount £</th>
                        <th>Account Manager</th>
                    </tr>
                </thead>
                <tbody>
                @foreach($invoices as $invoice)
                    <tr data-id="{{ $invoice->id }}">
                        <td>
                            <div class="one-line">
                                <a href="{{ route('invoice-edit', $invoice->id) }}">
                                    <button
                                        type="button"
                                        class="btn btn-icon btn-icon rounded-circle btn-flat-primary waves-effect waves-light"
                                        data-toggle="tooltip"
                                        data-placement="bottom"
                                        title="Edit"
                                        data-original-title="Edit"
                                    >
                                        <i class="feather icon-edit-2"></i>
                                    </button>
                                </a>
                            </div>
                        </td>
                        <td>{{ $invoice->invoice_number }}</td>
                        <td>{{ $invoice->invoice_date }}</td>
                        <td>{{ $invoice->invoice_net_amount }}</td>
                        <td>{{ $invoice->invoice_tax_amount }}</td>
                        <td>{{ $invoice->getAccountManager() ? $invoice->getAccountManager()->fullName : '' }}</td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
        <!-- DataTable ends -->
        {{-- @include('clients.sidebar-create') --}}
    </section>
    <!-- Data list view end -->

@endsection

@section('vendor-script')
    {{-- Vendor js files --}}
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.buttons.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.bootstrap4.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/dataTables.select.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.checkboxes.min.js') }}"></script>
@endsection

@section('page-script')
    {{-- Page js files --}}
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/ui/data-list-view.js') }}"></script>
@endsection

