<table
    class="table data-list-view data-list-view-compact"
    data-order='[[ @if(isset($orderBy)) {{ $orderBy }} @else 3 @endif, "desc" ]]'
    data-selectRow="false"
>
    <thead>
        <tr>
            <th class="edit"></th>
            <th>Job Number</th>
            <th>Title</th>
            <th>Date</th>
            <th>Company</th>
            <th>Site</th>
            <th>Contract</th>
        </tr>
    </thead>
    <tbody>
    @foreach($callOuts as $visit)
        <tr data-id="{{ $visit->id }}">
            <td>
                <div class="one-line">
                    <a href="{{route('call-out-view', $visit->id)}}"
                        class="btn btn-icon btn-icon rounded-circle btn-flat-success waves-effect waves-light"
                        data-toggle="tooltip"
                        data-placement="bottom"
                        title="View"
                        data-original-title="View"
                    >
                        <i class="feather icon-eye"></i>
                    </a>
                    @if(!$visit->locked)
                        <a href="{{ route('call-out-edit', $visit->id) }}">
                            <button
                                type="button"
                                class="btn btn-icon btn-icon rounded-circle btn-flat-primary waves-effect waves-light"
                                data-toggle="tooltip"
                                data-placement="bottom"
                                title="Edit"
                                data-original-title="Edit"
                            >
                                <i class="feather icon-edit-2"></i>
                            </button>
                        </a>
                    @elseif(\Auth::user()->isSuperAdmin())
                        <a href="{{ route('call-out-unlock', $visit->id )}}">
                            <button
                                data-toggle="tooltip"
                                data-placement="bottom"
                                title="Withdraw the job from assigned operative"
                                data-original-title="Withdraw the job from assigned operative"
                                type="button"
                                class="btn btn-icon btn-icon rounded-circle btn-flat-danger waves-effect waves-light"
                            >
                                <i class="feather icon-unlock"></i>
                            </button>
                        </a>
                    @endif
                    @if(\Auth::user()->isSuperAdmin())
                        @include('elements.deleteButtonWithConfirmBox', [
                            'confirmMessage' => 'Are you sure you want to delete this call out job record?',
                            'successRoute' => route('call-out-delete', $visit->id),
                        ])
                    @endif
                </div>
            </td>
            <td data-sort="{{ $visit->id }}">{{ $visit->getJobNumberPrefix() . $visit->id }}</td>
            <td><a href="{{ route('call-out-edit', $visit->id) }}">{{ $visit->name }}</a></td>
            <td data-sort="{{ \Carbon\Carbon::parse($visit->visit_date)->format(env('SORT_DATE_FORMAT')) }}">
                {{ \Carbon\Carbon::parse($visit->visit_date)->format(env('DEFAULT_DATE_FORMAT')) }}
            </td>
            <td>
                @if($visit->client)
                    <a href="{{ route('client-view', $visit->client->id) }}">{{ $visit->clientName() }}</a>
                @endif
            </td>
            <td>
                @if($visit->site)
                    <a href="{{ route('site-view', $visit->site->id) }}">{{ $visit->siteName() }}</a>
                @endif
            </td>
            <td>{{ $visit->contractName() }}</td>
        </tr>
    @endforeach
    </tbody>
</table>
