@isset($pageConfigs)
{!! \App\Helpers\Helpers::updatePageConfig($pageConfigs) !!}
@endisset

<!DOCTYPE html>

@php
$configData = \App\Helpers\Helpers::applClasses();
$envClass = env('APP_DEBUG') ? 'env__UAT' : '';
@endphp

<html lang="{{ str_replace('_', '-', app()->getLocale()) }}"
    data-textdirection="{{ env('MIX_CONTENT_DIRECTION') === 'rtl' ? 'rtl' : 'ltr' }}">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta name="robots" content="noindex,nofollow">
    <title>@yield('title') - {{ config('app.name') }}</title>
{{--     <link rel="shortcut icon" type="image/x-icon" href="images/logo/favicon.ico"> --}}

    <link rel="apple-touch-icon" href="/images/icons/apple-touch-icon_x180.png">
    <link rel="apple-touch-icon" sizes="120x120" href="/images/icons/apple-touch-icon_x120.png">
    <link rel="apple-touch-icon" sizes="167x167" href="/images/icons/pple-touch-icon_x167.png">
    <link rel="apple-touch-icon" sizes="152x152" href="/images/icons/apple-touch-icon_x152.png">
    <link rel="apple-touch-icon" sizes="180x180"href="/images/icons/apple-touch-icon_x180.png">

    <link rel="icon" type="image/png" sizes="32x32" href="/images/icons/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/images/icons/favicon-16x16.png">
    {{-- <link rel="manifest" href="/images/icons/site.webmanifest"> --}}
    <link rel="mask-icon" href="/images/icons/safari-pinned-tab.svg" color="#254a7f">
    <link rel="shortcut icon" href="/images/icons/favicon.ico">
    <meta name="apple-mobile-web-app-title" content="CWT">
    <meta name="application-name" content="CWT">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-config" content="/images/icons/browserconfig.xml">
    <meta name="theme-color" content="#ffffff">
    <link rel="manifest" href="/manifest.json">

    {{-- Include core + vendor Styles --}}

    <meta name="test" >
    @include('panels/styles')
</head>

@isset($configData["mainLayoutType"])
    @extends((( $configData["mainLayoutType"] === 'horizontal') ? 'layouts.horizontalLayoutMaster' :
    'layouts.verticalLayoutMaster' ))
@endisset

@include('elements.status-messages')