@extends('layouts.contentLayoutMaster')

@section('title')
    Import History Notes
@endsection

@php
    $breadcrumbs = [
        [
            'link'=>'/',
            'name' =>'Dashboard'
        ]
    ]    
@endphp

@section('page-style')
    <link rel="stylesheet" type="text/css" href="{{ \App\Helpers\Helpers::assetLink('css/plugins/forms/validation/form-validation.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ \App\Helpers\Helpers::assetLink('/vendors/css/file-uploaders/dropzone.min.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ \App\Helpers\Helpers::assetLink('css/plugins/file-uploaders/dropzone.css') }}">
@endsection

@section('content')

    @include('elements.messages-error')

    <section id="basic-vertical-layouts">
        <div class="row match-height">
            <div class="col-md-6 col-12">
                <div class="card">
                    <div class="card-content">
                        <div class="card-body">
                            <form action="{{ route('notes-history-import-process') }}" class="dropzone dropzone-area" id="dpz-single-file">
                                @csrf
                                <div class="dz-message">Drop Files Here To Upload</div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    @include('elements.importErrorTable')

@endsection

@section('page-script')
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/extensions/dropzone.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/forms/select/form-select2.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/extensions/dropzone.js') }}"></script>
@endsection
