@extends('layouts.contentLayoutMaster')

@section('title')
    Opportunities
@endsection

@php
    $breadcrumbs = [
        [
            'link'=>'/',
            'name' =>'Dashboard'
        ]
    ]
@endphp

@section('vendor-style')
    {{-- Page Css files --}}
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/datatables.min.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/file-uploaders/dropzone.min.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/extensions/dataTables.checkboxes.css') }}">
@endsection

@section('page-style')
    {{-- Page Css files --}}
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/plugins/file-uploaders/dropzone.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/pages/data-list-view.css') }}">
@endsection

@section('content')
    <section id="data-list-view" class="data-list-view-header">

        <!-- DataTable starts -->
        <div class="table-responsive">
            <table
                class="table data-list-view data-list-view-compact ajax"
                data-table-id="opportunities"
            >
                <thead>
                <tr>
                    <th class="edit"></th>
                    <th width="10%">Open Date</th>
                    <th>Title</th>
                    <th>Company</th>
                    <th>Site</th>
                    <th>Contact</th>
                    <th>Phone Number</th>
                    <th>Total Value</th>
                    <th>Status</th>
                    <th>Process</th>
                    <th>Stage</th>

                </tr>
                </thead>
            </table>
        </div>
        <!-- DataTable ends -->
        {{-- @include('clients.sidebar-create') --}}
    </section>
    <!-- Data list view end -->

@endsection

@section('vendor-script')
    {{-- Vendor js files --}}
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/extensions/dropzone.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.buttons.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.bootstrap4.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/dataTables.select.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.checkboxes.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/forms/select/select2.full.min.js') }}"></script>
@endsection

@section('page-script')
    {{-- Page js files --}}

    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/forms/select/form-select2.js') }}"></script>
    <script type="text/javascript">
        var dataTables = {
            opportunities: {
                ajaxIndexUrl:'/opportunities/ajax-index',
                ajaxMethod: 'GET',
                order: [[1, "desc"]],
                ajaxIndexColumns:[
                    {
                        'orderable' : false,
                        'searchable' : false,
                        'data' : 'actions'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'open_date'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'name'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'company'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'site'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'contact'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'phoneNumber'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'totalValue'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'status'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'process'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'stage'
                    },
                ]
            }
        };
    </script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/datatables/ajaxIndexTable.js') }}"></script>
@endsection
