@extends('layouts.contentLayoutMaster')

@section('title')
    Edit Quote Section: {{$section->name}}
@endsection

@section('content')
    @include('elements.messages-error')

    {!! Form::model($section, ['route' => ['quote-section-update', $section->id], 'method' => 'post', 'class' => 'form form-vertical', 'novalidate']) !!}

    @csrf

    <section id="multiple-column-form">
        <div class="row match-height">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Section Details</h4>
                    </div>
                    <div class="card-content">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6 col-12">
                                    <div class="form-group">
                                        {!! Form::label('name', 'Name *') !!}
                                        <div class="controls">
                                            {!!
                                                Form::text('name', old('name'), [
                                                    'id' => 'name',
                                                    'class' => 'form-control',
                                                ] + $validationRules['name'])
                                            !!}
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12 col-12">
                                    <div class="form-group">
                                        {!! Form::label('content', 'Content *') !!}
                                        <div class="controls">
                                            <content-editor hidden-name="content" value="{{ $section->content }}"></content-editor>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-content">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-12">
                                    <button type="submit" class="btn btn-primary mr-1 mb-1">Save</button>
                                    <a class="btn btn-flat-dark mb-1 p-1" href="{{route('quote-sections')}}">Cancel</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    {{ Form::close() }}
@endsection
