@extends('layouts.contentLayoutMaster')

@section('title')
    Create a Quote Document
@endsection

@php
    $breadcrumbs = [
        [
            'link'=>route('quotes'),
            'name' =>'Quotes'
        ]
    ]
@endphp

@section('content')

    @include('elements.messages-error')

    <section id="multiple-column-form">
        <div class="row match-height">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Quote Details</h4>
                    </div>
                    <div class="card-content">
                        <div class="card-body">
                            <quote-create
                                :client-id="clientId"
                                :clients="clients"
                                :site-id="siteId"
                                :sites="sites"
                                :ref
                                :opportunity-id="opportunityId"
                                :opportunity-title="opportunityTitle"
                                :opportunities="opportunities"
                                :issue-date="'{{ \Carbon\Carbon::now()->toDateString() }}'"
                                :author-id="authorId"
                                :users="users"
                                :templates="templates"
                                :template-id="null"
                            ></quote-create>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </section>

@endsection

@section('page-script')
    @php $currentUser = \Auth::user(); @endphp

    <script type="text/javascript">

        window.pageData = {!! json_encode($object) !!};
        window.pageData.clientId = {!! json_encode($selectedClientId) !!};
        window.pageData.clients = {!! json_encode($clients) !!};
        window.pageData.siteId = {!! json_encode($selectedSiteId) !!};
        window.pageData.sites = {!! json_encode($sites) !!};
        window.pageData.templates = {!! json_encode($quoteTemplates) !!};
        window.pageData.users = {!! json_encode($users) !!};
        window.pageData.authorId = {!! $currentUser->id !!};
        window.pageData.opportunityId = {!! json_encode($selectedOpportunityId) !!};
        window.pageData.opportunityTitle = {!! json_encode($opportunityTitle) !!};
        window.pageData.opportunities = {!! json_encode($opportunities) !!};

    </script>

@endsection
