@extends('layouts.contentLayoutMaster')

@section('title')
    Top Customers
@endsection

@section('vendor-style')
    {{-- Page Css files --}}
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/datatables.min.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/extensions/dataTables.checkboxes.css') }}">
@endsection

@section('page-style')
    {{-- Page Css files --}}
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/pages/data-list-view.css') }}">
@endsection

@section('content')
    <section id="data-list-view" class="data-list-view-header">

        <!-- DataTable starts -->
        <div class="table-responsive">
            <table
                class="table data-list-view data-list-view-compact"
                data-order='[[ 4, "desc" ]]'
                data-selectRow="false"
            >
                <thead>
                    <tr>
                        <th class="edit"></th>
                        <th>Company Name</th>
                        <th>Town</th>
                        <th>County</th>
                        <th>T/O last 4 Years</th>
                        <th>T/O Ytd</th>
                    </tr>
                </thead>
                <tbody>
                @foreach($clients as $client)
                    <tr data-id="{{ $client->id }}">
                        <td>
                            <div class="one-line">
                                <a href="{{route('client-view', $client->id)}}"
                                    class="btn btn-icon btn-icon rounded-circle btn-flat-success waves-effect waves-light"
                                    data-toggle="tooltip"
                                    data-placement="bottom"
                                    title="View"
                                    data-original-title="View"
                                >
                                    <i class="feather icon-eye"></i>
                                </a>
                            </div>
                        </td>
                        <td><a href="{{ route('client-view', $client->id) }}">{{ $client->company_name }}</a></td>
                        <td>{{ $client->registeredAddress ? $client->registeredAddress->town : '' }}</td>
                        <td>{{ $client->registeredAddress ? $client->registeredAddress->county : '' }}</td>
                        <td style="text-align: right">£{{ \App\Helpers\Helpers::formatToCurrencyDisplay($client->turnOverForLastFourYears) }}</td>
                        <td style="text-align: right">£{{ \App\Helpers\Helpers::formatToCurrencyDisplay($client->turnOver) }}</td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
        <!-- DataTable ends -->
        {{-- @include('clients.sidebar-create') --}}
    </section>
    <!-- Data list view end -->

@endsection

@section('vendor-script')
    {{-- Vendor js files --}}
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.buttons.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.bootstrap4.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/dataTables.select.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.checkboxes.min.js') }}"></script>
@endsection

@section('page-script')
    {{-- Page js files --}}
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/ui/data-list-view.js') }}"></script>
@endsection

