
<style type="text/css">
    @font-face {
        font-family: 'Calibri';
        font-style: normal;
        font-weight: normal;
        src: url(https://crm.capitalwater.co.uk/fonts/calibri/Calibri-Regular.ttf) format('truetype');
    }

    @font-face {
        font-family: 'Calibri';
        font-style: normal;
        font-weight: bold;

        src: url(https://crm.capitalwater.co.uk/fonts/calibri/Calibri-Bold.ttf) format('truetype');
    }

    body{
        font-family: "Calibri", Helvetica, Arial, serif;
        font-size: 11pt;
        line-height: 14px;
    }

    @page {
        margin-top: 65mm;
        margin-bottom: 45mm;

        @top-center {
            content: element(header);
        }
        @bottom-left {
            content: element(footer);
        }
    }

    .header{
        width: 100%;
        position: fixed;
        height: 220px;
        top: -220px;
    }

    .footer {
        width: 100%;
        position: fixed;
        height: 95px;
        bottom: -130px;
    }

    .box__grey{
        background: rgba(0,0,0,0.05);
        padding: 20px 20px 15px;
        margin-bottom: 10px;
        font-size: 10pt;
        line-height: 12px;
    }

    table{
        border-collapse: collapse;
    }

    .box__grey .box__grey{
        background: none;
        padding: 0;
        margin-bottom: 0;
    }

    .box__grey ul{
        margin: 10px 0 0 12px;
        padding: 0;

    }

    .box__grey ul li{
        margin-bottom: 5px;
    }

    .keep-together {
        page-break-inside: avoid;
    }

    .break-before {
        page-break-before: always;
    }

    .break-after {
        page-break-after: always;
    }
    p{
        margin-top: 0;
        margin-bottom: 0;
    }

    ul{
        margin: 0;
    }

    ul li{
        margin-bottom: 0;
        padding: 0;
    }

    h4{
        font-weight: bold;
        font-size: 12pt;
        line-height: 16px;
    }

    h3{
        font-weight: bold;
        font-size: 14pt;
        font-size: 20px;
        margin-top: 0 !important;
        margin-bottom: 0 !important;
    }

    h1, h2, h3{
        margin-bottom: 10px;
        font-weight: bold;
        margin-bottom: 0;
    }

    .quote--header .invoice-contacts{
        font-size: 9pt;
        line-height: 11px;
        float: right;
    }
    .quote--header .logo-wrapper{
        float: left;   
    }
    .quote--header .logo-wrapperimg{
        width: 90px;
    }

    .footer .companyDetails{
        font-size: 7pt;
        line-height: 10px;
    }

    .footer .footer-logos img{
        margin-right: 5px;
    }

    .mb-1{
        margin-bottom: 10px;
    }
    .mb-2{
        margin-bottom: 20px;
    }
    .mb-3{
        margin-bottom: 30px;
    }

    .d-flex{
        clear: both;
    }

    .draft{
        position: absolute;
        top:-10cm;
        display: block;
        font-size: 255px;
        font-weight: bold;
        color: #f0f0f0;
        z-index: -1;
    }
    .main-content{
        z-index: 1;
    }
    .footer:last-child .draft{
        display: none;
    }

    .first-page-header{
        z-index: 1;
        background: white;
        position: relative;

    }
    .default-page-header{
        z-index: 0;
    }

    table.supply-list{
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 20px;
}

table.supply-list th,
table.supply-list td{
    text-align: left;
    border: 1px solid #ccc;
    padding: 5px;
}
table.supply-list thead{
    background-color: rgba(0,0,0,0.05);
}

table.supply-list tfoot td{
    border: 0px;
    padding: 5px 5px;
}

table.supply-list tfoot .details{
    vertical-align: top;
    line-height: 11px;
    padding: 0 5px;
}

table.supply-list small{
    font-size: 11px;
    display: block;
}
table.supply-list tfoot .total{
    background-color: rgba(0,0,0,0.05);
    border: 1px solid #ccc;
}

</style>

<body>

    @php
    //dd($object);
        
    @endphp
@include("pdfTemplates.footer", 
    [
        'draft' => false,
        'reference' => null,
    ])
@include("serviceReports.templates.pdf.startSection", 
    [
        'data' => $object,
        'title' => $object->data->label,
        'reference' => null,
    ])

<div class="main-content">
    
    @php
        $data = collect($object->data->fields);
    @endphp


    @includeIf("serviceReports.templates.pdf.content-".$object->data->templatePath, 
        [
            'data' => $data
        ])
    

</div>

@include("serviceReports.templates.pdf.header",
    [
        'data' => $object,
        'title' => $object->data->label,
        'reference' => null,
    ])

{{-- Here's the magic. This MUST be inside body tag. Page count / total, centered at bottom of page --}}
<script type="text/php">
    if ( isset($pdf) ) {
        $pdf->page_script('
            if ($PAGE_NUM < $PAGE_COUNT) {
                $font = $fontMetrics->getFont("Calibri", "bold");
                $size = 10;
                $pageText = "Continued overleaf ...";
                $y = $pdf->get_height() - 130;
                $x = 33;
                $color = array(0, 0, 0);
                $pdf->text($x, $y, $pageText, $font, $size, $color);
            }
        ');
    }

    if (isset($pdf)) {
        $text = "Page {PAGE_NUM} of {PAGE_COUNT}";
        $size = 10;
        $font = $fontMetrics->getFont("Calibri", "bold");
        $width = $fontMetrics->get_text_width($text, $font, $size) / 2;
        $x = $pdf->get_width() - 79;
        $y = $pdf->get_height() - 48;

        $color = array(0, 0, 0, 1.0);
        $pdf->page_text($x, $y, $text, $font, $size, $color);
    }


</script>
</body>