@php 
    
    $worksheet = $data->workSheet;

    $customer = $worksheet->worksheetable ? $worksheet->worksheetable->site : null; 
    
    if (!$customer) {
        $customer = $worksheet->worksheetable ? $worksheet->worksheetable->client : null;
    }

    $customerName = ($customer->site_name) ? $customer->site_name : $customer->company_name;
    
    $registeredAddress = ($customer && $customer->registeredAddress) ? $customer->registeredAddress : null;
    $billingAddress = ($customer && $customer->billingAddress) ? $customer->billingAddress : null;
    $jobAddress = ($worksheet->worksheetable->registeredAddress) ? $worksheet->worksheetable->registeredAddress : null;
    
    $visitDate = $worksheet->worksheetable->visit_date ? date_format( new DateTime($worksheet->worksheetable->visit_date), "d F Y") : 'N/A';

    //dd( $worksheet->worksheetable, $customer, $registeredAddress, $billingAddress, $refNumber, $opportunity, $purchaseOrder, $contact); 

@endphp

<div class="quote--header first-page-header mb-2" style="margin-bottom: 10px; margin-top: -220px;">

    @include("pdfTemplates.brandingHeader")

    <div class="" style="padding-top:20px; clear: right; width: 100%;">
            <div class="companyDetails">
                <div class="" style="float: right; width: 230px;">
                    
                    <div class="d-flex align-items-center mb-1">
                        <span class="title  mr-1">Visit Date:</span> <b>{{ $visitDate}}</b><br>
                    </div>
                </div>
                <div style="float:left;">
                    <h2 style="margin:0 0 10px 0;">{{$title}}</h2>
                    <h4 style="margin:0 0 5px 0;">{{$customerName}}</h4>
                </div>
                <div class="" style="clear:left; margin-top: 10px;">

                    @if ($registeredAddress || $billingAddress)
                        <div class="mb-2">
                            
                            @if($registeredAddress)
                                <div class="mb-1">
                                    <span class="title  mr-1">Company Address:</span><br>
                                    <b>{{$registeredAddress->fullAddress}}</b>
                                </div>
                            @endif

                            @if($jobAddress)
                                <div class="mb-1">
                                    <span class="title  mr-1">Job Location:</span><br>
                                    <b>{{$jobAddress->fullAddress}}</b>
                                </div>
                            @endif
                        </div>
                    @endif
                </div>
            </div>
    </div>

</div>
