@extends('layouts.contentLayoutMaster')

@section('title')
    Client Sites
@endsection

@php
    $breadcrumbs = [
        [
            'link'=>'/',
            'name' =>'Dashboard'
        ]
    ]
@endphp

@section('vendor-style')
    {{-- Page Css files --}}
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/datatables.min.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/file-uploaders/dropzone.min.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/extensions/dataTables.checkboxes.css') }}">
@endsection

@section('page-style')
    {{-- Page Css files --}}
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/plugins/file-uploaders/dropzone.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/pages/data-list-view.css') }}">
@endsection

@section('content')
    <section id="data-list-view" class="data-list-view-header">

        <!-- DataTable starts -->
        <div class="table-responsive">
            <table class="table data-list-view data-list-view-compact ajax"
                   data-table-id="sites"
                   @if(isset($createRoute))
                       data-create-route="{{ $createRoute }}"
                   @endif
                   data-selectRow="false">
                <thead>
                <tr>
                    <th class="edit"></th>
                    <th>Site Name</th>
                    <th>Company</th>
                    <th>1st Address Line</th>
                    <th>Town</th>
                    <th>County</th>
                    <th>Main number</th>
                    <th>Email</th>
                </tr>
                </thead>
            </table>
        </div>
        <!-- DataTable ends -->
    </section>
    <!-- Data list view end -->

@endsection

@section('vendor-script')
    {{-- Vendor js files --}}
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/extensions/dropzone.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.buttons.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.bootstrap4.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/dataTables.select.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.checkboxes.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/forms/select/select2.full.min.js') }}"></script>
@endsection

@section('page-script')
    {{-- Page js files --}}
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/ui/data-list-view.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/forms/select/form-select2.js') }}"></script>

    <script type="text/javascript">
        var dataTables = {
            sites: {
                ajaxIndexUrl:'/sites/ajax-index',
                ajaxMethod: 'GET',
                order: [[ 1, "asc"]],
                ajaxIndexColumns:[
                    {
                        'orderable' : false,
                        'searchable' : false,
                        'data' : 'actions'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'name'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'company_name'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'address_line_1'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'town'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'county'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'telephone'
                    },
                    {
                        'orderable' : true,
                        'searchable' : true,
                        'data' : 'email'
                    }
                ]
            }
        };
    </script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/datatables/ajaxIndexTable.js') }}"></script>
@endsection
