<table class="table data-list-view data-list-view-compact"
    @if(isset($createRoute))
        data-create-route="{{ $createRoute }}"
    @endif
    data-order='[[ 1, "asc" ]]'
    data-selectRow="false">
    <thead>
    <tr>
        <th class="edit"></th>
        <th>Site Name</th>
        <th>Company</th>
        <th>1st Address Line</th>
        <th>Town</th>
        <th>County</th>
        <th>Main number</th>
        <th>Email</th>

    </tr>
    </thead>
    <tbody>
    @foreach($sites as $site)
        <tr data-id="{{ $site->id }}">
            <td class="">
                <div class="one-line">
                    <a href="{{route('site-view', $site->id)}}"
                        class="btn btn-icon btn-icon rounded-circle btn-flat-success waves-effect waves-light"
                        data-toggle="tooltip"
                        data-placement="bottom"
                        title="View"
                        data-original-title="View"
                    >
                        <i class="feather icon-eye"></i>
                    </a>
                    <a href="{{route('site-edit', $site->id)}}">
                        <button
                            type="button"
                            class="btn btn-icon btn-icon rounded-circle btn-flat-primary waves-effect waves-light"
                            data-toggle="tooltip"
                            data-placement="bottom"
                            title="Edit"
                            data-original-title="Edit"
                        >
                            <i class="feather icon-edit-2"></i>
                        </button>
                    </a>
                    @if(\Auth::user()->isSuperAdmin())
                        @include('elements.deleteButtonWithConfirmBox', [
                            'confirmMessage' => 'Are you sure you want to delete this site record?',
                            'successRoute' => route('site-delete', $site->id),
                        ])
                    @endif
                </div>
            </td>
            <td>
                <a href="{{ route('site-view', $site->id) }}">{{ $site->name }}</a>
                @if(!empty($site->website))
                    <a href="{{$site->website}}" target="_blank" data-toggle="tooltip" data-placement="bottom" title="Visit Website" data-original-title="Visit Website"><i class="feather icon-external-link"></i></a>
                @endif
            </td>
            <td>{{$site->clientName()}}</td>
            <td>
                @if(!empty($site->registeredAddress))
                    {{ $site->registeredAddress->address_line_1 }}
                @endif
            </td>
            <td>
                @if(!empty($site->registeredAddress))
                    {{ $site->registeredAddress->town }}
                @endif
            </td>
            <td>
                @if(!empty($site->registeredAddress))
                    {{ $site->registeredAddress->county }}
                @endif
            </td>
            <td>{{$site->telephone}}</td>
            <td>
                @if (!empty($site->email))
                    <a href="mailto:{{$site->email}}">{{$site->email}}</a>
                @endif
            </td>

        </tr>
    @endforeach
    </tbody>
</table>
