@extends('layouts.contentLayoutMaster')

@section('title')
    {{$object->name}}
@endsection

@php
    $breadcrumbs = [
        [
            'link'=>route('sites'),
            'name' =>'Sites'
        ]
    ]
@endphp

@section('vendor-style')
    {{-- Page Css files --}}
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/forms/select/select2.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/datatables.min.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/file-uploaders/dropzone.min.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/tables/datatable/extensions/dataTables.checkboxes.css') }}">
@endsection

@section('page-style')
    {{-- Page Css files --}}
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/plugins/forms/validation/form-validation.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/plugins/file-uploaders/dropzone.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/pages/data-list-view.css') }}">
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('css/pages/app-invoice.css') }}">
@endsection

@section('object-toolbar')


    <b-button

        variant="outline-primary"
        class="mb-1"
        href="{{ route('site-edit', $object->id) }}"
        ><i class="feather icon-edit"></i> Edit Site
    </b-button>

@endsection

@section('content')
    @include('elements.messages-error')

        <section id="multiple-column-form">
            <div class="row match-height">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body pb-0">

                            <div class="pull-right">
                                <button
                                    type="button"
                                    class="btn btn-primary mb-1 p-1 show-data-sidebar"
                                    data-sidebar-content="sidebar-job-sheets">
                                    <i class="feather icon-paperclip"></i>
                                    Job Sheets
                                </button>
                                <button
                                    type="button"
                                    class="btn btn-primary mb-1 p-1 show-data-sidebar"
                                    data-sidebar-content="sidebar-purchase-orders">
                                    <i class="feather icon-paperclip"></i>
                                    Purchase Orders
                                </button>
                                <button
                                    type="button"
                                    class="btn btn-primary mb-1 p-1 show-data-sidebar"
                                    data-sidebar-content="sidebar-delivery-notes">
                                    <i class="feather icon-paperclip"></i>
                                    Delivery Notes
                                </button>
                                <button
                                    type="button"
                                    class="btn btn-primary mb-1 p-1 show-data-sidebar"
                                    data-sidebar-content="sidebar-asset-lists">
                                    <i class="feather icon-paperclip"></i>
                                    Asset Lists
                                </button>
                                {{-- @include('elements.document-note-buttons') --}}
                                <button
                                    type="button"
                                    class="btn btn-primary mb-1 p-1 show-data-sidebar"
                                    data-sidebar-content="sidebar-documents">
                                    <i class="feather icon-paperclip"></i>
                                    Documents
                                </button>
                                <button
                                    type="button"
                                    class="btn btn-primary mb-1 p-1 show-data-sidebar"
                                    data-sidebar-content="sidebar-rams">
                                    <i class="feather icon-paperclip"></i>
                                    RAMS
                                </button>
                                <button
                                    type="button"
                                    class="btn btn-primary mb-1 p-1 show-data-sidebar"
                                    data-sidebar-content="sidebar-sample-results">
                                    <i class="feather icon-paperclip"></i>
                                    Sample Results
                                </button>

                            </div>

                        </div>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-4 col-md-4">
                    <div class="card">
                        <div class="card-header object-toolbar">
                            <h4 class="card-title">Site Details</h4>
                        </div>
                        <div class="card-content">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-xl-6 col-lg-12 mt-2 mt-xl-0">
                                        @if (!empty($object->subtype))
                                            <div class="d-flex align-items-center">
                                                <div class="color-box bg-light-success">
                                                    <i data-feather="trending-up" class="text-success"></i>
                                                </div>
                                                <div class="mb-1">
                                                    <h5 class="mb-0">
                                                        {{$object->subtype}}
                                                    </h5>
                                                    <small><i class="feather icon-star"></i> Subtype</small>
                                                </div>
                                            </div>
                                        @endif
                                        @if (!empty($object->email))
                                            <div class="d-flex align-items-center">
                                                <div class="color-box bg-light-success">
                                                    <i data-feather="trending-up" class="text-success"></i>
                                                </div>
                                                <div class="mb-1">
                                                    <h5 class="mb-0">
                                                        {{$object->email}}
                                                    </h5>
                                                    <small><i class="feather icon-mail"></i> Email</small>
                                                </div>
                                            </div>
                                        @endif
                                        @if (!empty($object->telephone))
                                            <div class="d-flex align-items-center">
                                                <div class="color-box bg-light-success">
                                                    <i data-feather="trending-up" class="text-success"></i>
                                                </div>
                                                <div class="mb-1">
                                                    <h5 class="mb-0">
                                                        {{$object->telephone}}
                                                    </h5>
                                                    <small><i class="feather icon-phone"></i> Telephone</small>
                                                </div>
                                            </div>
                                        @endif
                                        @if (!empty($object->fax))
                                            <div class="d-flex align-items-center">
                                                <div class="color-box bg-light-success">
                                                    <i data-feather="trending-up" class="text-success"></i>
                                                </div>
                                                <div class="mb-1">
                                                    <h5 class="mb-0">
                                                        {{$object->fax}}
                                                    </h5>
                                                    <small><i class="feather icon-phone"></i> Fax</small>
                                                </div>
                                            </div>
                                        @endif
                                        @if (!empty($object->website))
                                            <div class="d-flex align-items-center">
                                                <div class="color-box bg-light-success">
                                                    <i data-feather="trending-up" class="text-success"></i>
                                                </div>
                                                <div class="mb-1">
                                                    <h5 class="mb-0">
                                                        {{$object->website}}
                                                    </h5>
                                                    <small><i class="feather icon-link"></i> Website</small>
                                                </div>
                                            </div>
                                        @endif


                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <pricing-page-info
                        :parent-class="parent_class"
                        :parent-id="parent_id"
                        :data="pricingPageInfo"
                        :notes="processedNotes"
                        save-route="{{ '/sites/'.$object->id.'/add-note' }}"
                    ></pricing-page-info>

                    <div class="card">
                        <div class="card-content">
                            <div class="card-body">
                                <notes
                                    :notes="processedNotes"
                                    :parent-class="parent_class"
                                    :parent-id="parent_id"
                                    save-route="{{ '/'.$routePrefixPlural.'/'.$object->id.'/add-note'}}"
                                    delete-route="{{ '/'.$routePrefixPlural.'/delete-note'}}"
                                ></notes>

                            </div>
                        </div>
                    </div>

                </div>
                <div class="col-xl-5 col-lg-5 col-md-5">
                    <div class="card">
                        <div class="card-content">
                            <div class="card-body">
                                <addresses :addresses="addresses" :address-types="address_types" parent-class="Site" parent-id="{{$object->id}}"></addresses>
                            </div>
                        </div>
                    </div>
                    <div class="card card-developer-meetup">
                        <div class="card-header object-toolbar">
                            <h4 class="card-title">PO Received</h4>
                            <b-button
                                variant="primary"
                                class="btn-icon"
                                href="{{ route('customer-purchase-order-create') }}?siteId={{$object->id}}"
                                target="_blank"
                                style="position: absolute;top: 9px;right: 10px;"
                            >
                                <i class="feather icon-plus">

                                </i>
                            </b-button>
                        </div>
                        <div class="card-body">
                            @if ($object->customerPurchaseOrders->count() == 0)
                                <p>No PO Received record</p>
                            @else
                                @foreach($object->customerPurchaseOrders->sortByDesc('created_at')->take(5) as $customerPurchaseOrder)
                                    <div class="media d-flex justify-content-between">
                                        <div class="media-body">
                                            <div class="col-xl-12 col-lg-12 mb-1 media d-flex justify-content-between">
                                                <div class="media-body">
                                                    <h6 class="mb-0"><a target="_blank" href="{{ route('customer-purchase-order-view', ['id' => $customerPurchaseOrder->id]) }}">{{ $customerPurchaseOrder->name }}</a></h6>
                                                    @if ($customerPurchaseOrder->description)
                                                        <h6 class="mb-0 mt-50">{{ $customerPurchaseOrder->description }}</h6>
                                                    @endif
                                                    <span class="badge badge-info" style="position: absolute; top: 0; right: 0;"> {{$customerPurchaseOrder->status}} </span>
                                                </div>
                                            </div>
                                            <div class="col-xl-12 col-lg-12 mb-1 media d-flex justify-content-between">
                                                @if(!empty($customerPurchaseOrder->job_date))
                                                    <div class="media-body">
                                                        <h6 class="mb-0">Received date</h6>
                                                        <i class="feather icon-calendar"></i> <small>{{ \Carbon\Carbon::parse($customerPurchaseOrder->job_date)->format(env('DEFAULT_DATE_FORMAT')) }}</small>
                                                    </div>
                                                @endif
                                                @if(!empty($customerPurchaseOrder->date_requested))
                                                    <div class="media-body">
                                                        <h6 class="mb-0">Date Requested</h6>
                                                        <i class="feather icon-calendar"></i> <small>{{ \Carbon\Carbon::parse($customerPurchaseOrder->date_requested)->format(env('DEFAULT_DATE_FORMAT')) }}</small>
                                                    </div>
                                                @endif
                                            </div>
                                            <div class="col-xl-12 col-lg-12 mb-1 media d-flex justify-content-between">
                                                @if($customerPurchaseOrder->opportunity)
                                                    <div class="media-body">
                                                        <h6 class="mb-0">Opportunity</h6>
                                                        <small>{{ $customerPurchaseOrder->opportunity->name }}</small>
                                                    </div>
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                    <hr>
                                @endforeach
                                <b-button-group class="mb-1">
                                    <b-button
                                        block
                                        variant="primary"
                                        class="btn btn-primary text-center btn-block"
                                        v-b-toggle.sidebar-po-received
                                    ><i class="feather icon-list mr-50"></i> All PO Received
                                    </b-button>
                                </b-button-group>
                            @endif
                        </div>
                    </div>
                    @include('elements.serviceVisits', [
                        'createUrlParamName' => 'siteId',
                        'accessorField' => 'serviceVisits',
                        'take' => 5,
                    ])
                    @include('elements.callOutJobs', [
                        'createUrlParamName' => 'siteId',
                        'accessorField' => 'callOuts',
                        'take' => 5,
                    ])

                </div>
                <div class="col-xl-3 col-lg-3 col-md-3">
                    <div class="card plan-card border-primary">
                        <div class="card-header d-flex justify-content-between align-items-center pt-75 pb-25">
                            <h5 class="mb-0"> Last Update </h5>
                            <span class="badge badge-info"> {{$object->status}} </span>
                            <small class="text-muted w-100">{{$object->updated_at}}</small>
                        </div>
                        <div class="card-body">
                            @php
                                $client_manager = $object->getClientManagerUser();
                            @endphp
                            @if (!empty($client_manager))
                                <div class="d-flex align-items-center mb-2">
                                    <div class="">
                                        <h5 class="mb-0">
                                            {{$client_manager->fullName}}
                                        </h5>
                                        <small>Client Manager</small>
                                    </div>
                                </div>
                            @endif

                            <b-button-group class="mb-1">
                                <b-button
                                    block
                                    variant="primary"
                                    class="btn btn-primary text-center btn-block"
                                    v-b-toggle.sidebar-contacts
                                ><i class="feather icon-phone-call mr-50"></i> Contact
                                </b-button>
                                @if($object->contacts->isEmpty())
                                    <b-button class="p-1" href="{{ route('contact-create') . '?siteId=' . $object->id }}">+</b-button>
                                @endif
                            </b-button-group>
                            <b-button-group class="mb-1">
                                <b-button
                                    block
                                    variant="primary"
                                    class="btn btn-primary text-center btn-block"
                                    v-b-toggle.sidebar-opportunities
                                ><i class="feather icon-file"></i> Opportunities
                                </b-button>
                                @if($object->opportunities->isEmpty())
                                    <b-button class="p-1" href="{{ route('opportunity-create') . '?siteId=' . $object->id }}">+</b-button>
                                @endif
                            </b-button-group>
                            <b-button-group class="mb-1">
                                <b-button
                                    block
                                    variant="primary"
                                    class="btn btn-primary text-center btn-block"
                                    v-b-toggle.sidebar-quotes
                                ><i class="feather icon-edit"></i> Quotes
                                </b-button>
                                @if($object->quotes->isEmpty())
                                    <b-button class="p-1" href="{{ route('quote-create'). '?siteId=' . $object->id }}">+</b-button>
                                @endif
                            </b-button-group>
                            <b-button-group class="mb-1">
                                <b-button
                                    block
                                    variant="primary"
                                    class="btn btn-primary text-center btn-block"
                                    v-b-toggle.sidebar-contracts
                                ><i class="feather icon-map mr-50"></i> Contracts
                                </b-button>
                                @if($object->contracts->isEmpty())
                                    <b-button class="p-1" href="{{ route('contract-create') . '?siteId=' . $object->id }}">+</b-button>
                                @endif
                            </b-button-group>
                            <b-button-group class="mb-1">
                                <b-button
                                    block
                                    variant="primary"
                                    class="btn btn-primary text-center btn-block"
                                    v-b-toggle.sidebar-deliveries
                                ><i class="feather icon-map mr-50"></i> Delivery Notes
                                </b-button>
                                <b-button class="p-1" href="{{ route('delivery-create') . '?siteId=' . $object->id }}">+</b-button>
                            </b-button-group>
                        </div>
                    </div>
                    <div class="">
                        <div class="card card-tiny-line-stats">
                            <div class="card-body pb-50">
                                <h6>Lifetime Turnover</h6>
                                <h2 class="font-weight-bolder mb-1">£{{ \App\Helpers\Helpers::formatToCurrencyDisplay($object->turnOver) }}</h2>
                                <div id="statistics-profit-chart" data-chart-data="{{json_encode($object->getTurnOverGraphDataStructure(4, null))}}"></div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </section>

    @include('elements.documents-side-panel', [
        'types' => [
            [
                'id' => 'sidebar-documents',
                'title' => 'General Documents',
                'uploadRouteName' => $routePrefixSingular . '-document-upload',
                'documents' => $object->getDocumentsByType()
            ],
            [
                'id' => 'sidebar-job-sheets',
                'title' => 'Job sheet documents',
                'uploadRouteName' => $routePrefixSingular . '-job-sheet-upload',
                'documents' => $object->jobSheets()
            ],
            [
                'id' => 'sidebar-purchase-orders',
                'title' => 'Purchase order documents',
                'uploadRouteName' => $routePrefixSingular . '-purchase-order-upload',
                'documents' => $object->purchaseOrders()
            ],
            [
                'id' => 'sidebar-delivery-notes',
                'title' => 'Delivery notes documents',
                'uploadRouteName' => $routePrefixSingular . '-delivery-note-upload',
                'documents' => $object->deliveryNotes()
            ],
            [
                'id' => 'sidebar-asset-lists',
                'title' => 'Asset lists documents',
                'uploadRouteName' => $routePrefixSingular . '-asset-list-upload',
                'documents' => $object->assetLists()
            ],
            [
                'id' => 'sidebar-rams',
                'title' => 'RAMS documents',
                'uploadRouteName' => $routePrefixSingular . '-rams-document-upload',
                'documents' => $object->getDocumentsByType('rams-document')
            ],
            [
                'id' => 'sidebar-sample-results',
                'title' => 'Sample Results documents',
                'uploadRouteName' => $routePrefixSingular . '-sample-results-document-upload',
                'documents' => $object->getDocumentsByType('sample-results-document')
            ],
        ]
    ])

    <section class="data-list-view-header">
        <div class="add-new-data-sidebar" id="sidebar-contacts">

            <div class="add-new-data js-sidebar-content w-75">

                <div class="div mt-2 px-2 d-flex new-data-title justify-content-between">
                    <div>
                        <h4>Contacts</h4>
                    </div>
                    <div class="hide-data-sidebar">
                        <i class="feather icon-x"></i>
                    </div>
                </div>
                <div class="data-items pb-3">
                    <div class="data-fields px-2 mt-3">
                        <section id="data-list-view" class="data-list-view-header">

                            <!-- DataTable starts -->
                            <div class="table-responsive">
                                <table class="table data-list-view" data-create-route="{{route('contact-create')}}?siteId={{ $object->id }}" data-order='[[ 1, "asc" ]]'>
                                    <thead>
                                    <tr>
                                        <th></th>
                                        <th>Name</th>
                                        <th>Job Title</th>
                                        <th>Main telephone</th>
                                        <th>DDI</th>
                                        <th>Mobile</th>
                                        <th>Email</th>
                                        <th class="edit"></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($object->contacts as $contact)
                                        <tr data-id="{{ $contact->id }}">
                                            <td></td>
                                            <td>
                                                <a href="{{ route('contact-edit', $contact->id) }}">{{ $contact->fullName }}</a>
                                            </td>
                                            <td>{{$contact->job_title}}</td>
                                            <td>{{$contact->telephone}}</td>
                                            <td>{{$contact->ddi}}</td>
                                            <td>{{$contact->mobile}}</td>
                                            <td>
                                                @if (!empty($contact->email))
                                                    <a href="mailto:{{$contact->email}}">{{$contact->email}}</a>
                                                @endif
                                            </td>
                                            <td>
                                                <div class="float-right">
                                                    @if(\Auth::user()->isSuperAdmin())
                                                        @include('elements.deleteButtonWithConfirmBox', [
                                                            'confirmMessage' => 'Are you sure you want to delete this contact record?',
                                                            'successRoute' => route('contact-delete', $contact->id),
                                                        ])
                                                    @endif
                                                </div>
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                            <!-- DataTable ends -->
                            {{-- @include('clients.sidebar-create') --}}
                        </section>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <b-sidebar id="sidebar-contacts" bg-variant="white" title="Contacts" right shadow backdrop class="bg-white" width="85%">
        <div class="px-1 py-2">
            <div class="data-list-view-header">
                <div class="table-responsive">
                    <table class="table data-list-view" data-create-route="{{route('contact-create')}}?siteId={{ $object->id }}" data-order='[[ 1, "asc" ]]'>
                        <thead>
                        <tr>
                            <th></th>
                            <th>Name</th>
                            <th>Job Title</th>
                            <th>Main telephone</th>
                            <th>DDI</th>
                            <th>Mobile</th>
                            <th>Email</th>
                            <th class="edit"></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($object->contacts as $contact)
                            <tr data-id="{{ $contact->id }}">
                                <td></td>
                                <td>
                                    <a href="{{ route('contact-edit', $contact->id) }}">{{ $contact->fullName }}</a>
                                </td>
                                <td>{{$contact->job_title}}</td>
                                <td>{{$contact->telephone}}</td>
                                <td>{{$contact->ddi}}</td>
                                <td>{{$contact->mobile}}</td>
                                <td>
                                    @if (!empty($contact->email))
                                        <a href="mailto:{{$contact->email}}">{{$contact->email}}</a>
                                    @endif
                                </td>
                                <td>
                                    <div class="float-right">
                                        @if(\Auth::user()->isSuperAdmin())
                                            @include('elements.deleteButtonWithConfirmBox', [
                                                'confirmMessage' => 'Are you sure you want to delete this contact record?',
                                                'successRoute' => route('contact-delete', $contact->id),
                                            ])
                                        @endif
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </b-sidebar>

    <b-sidebar id="sidebar-opportunities" bg-variant="white" title="Opportunities" right shadow backdrop class="bg-white" width="85%">
        <div class="px-1 py-2">
            <div class="data-list-view-header">
                <div class="table-responsive">
                    @include('opportunities.listingTable', ['createRoute' => route('opportunity-create') . '?siteId=' . $object->id, 'fetchUrl' => route('site-ajax-fetch-opportunities')])
                </div>
            </div>
        </div>
    </b-sidebar>

    <b-sidebar id="sidebar-quotes" bg-variant="white" title="Quotes" right shadow backdrop class="bg-white" width="85%">
        <div class="px-1 py-2">
            <div class="data-list-view-header">
                <div class="table-responsive">
                    @include('quotes.listingTable', ['createRoute' => route('quote-create'). '?siteId=' . $object->id, 'fetchUrl' => route('site-ajax-fetch-quotes')])
                </div>
            </div>
        </div>
    </b-sidebar>
    @include("pdfTemplates.preview", ['title' => 'Quote'])

    <b-sidebar id="sidebar-contracts" bg-variant="white" title="Contracts" right shadow backdrop class="bg-white" width="85%">
        <div class="px-1 py-2">
            <div class="data-list-view-header">
                <div class="table-responsive">
                    @include('contracts.listingTableForSidebar', ['contracts' => $object->allContractsExceptClosed, 'closedContracts' => $object->allClosedContracts, 'createRoute' => route('contract-create') . '?siteId=' . $object->id])
                </div>
            </div>
        </div>
    </b-sidebar>

    <b-sidebar id="sidebar-deliveries" bg-variant="white" title="Delivery Notes" right shadow backdrop class="bg-white" width="85%">
        <div class="px-1 py-2">
            <div class="data-list-view-header">
                <div class="table-responsive">
                    @include('deliveries.listingTableForSidebar', ['deliveries' => $object->deliveries, 'createRoute' => route('delivery-create') . '?siteId=' . $object->id])
                </div>
            </div>
        </div>
    </b-sidebar>

    <section class="data-list-view-header">
        <div class="add-new-data-sidebar" id="sidebar-service-visits">

            <div class="add-new-data js-sidebar-content w-75">

                <div class="div mt-2 px-2 d-flex new-data-title justify-content-between">
                    <div>
                        <h4>Service Visits</h4>
                    </div>
                    <div class="hide-data-sidebar">
                        <i class="feather icon-x"></i>
                    </div>
                </div>
                <div class="data-items pb-3">
                    <div class="data-fields px-2 mt-3">

                        <section id="data-list-view" class="data-list-view-header">

                            <!-- DataTable starts -->
                            <div class="table-responsive">
                                @include('jobs.serviceVisits.listingTable', ['serviceVisits' => $object->serviceVisits, 'createRoute' => route('service-visit-create')])
                            </div>
                            <!-- DataTable ends -->
                            {{-- @include('clients.sidebar-create') --}}
                        </section>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="data-list-view-header">
        <div class="add-new-data-sidebar" id="sidebar-call-outs">

            <div class="add-new-data js-sidebar-content w-75">

                <div class="div mt-2 px-2 d-flex new-data-title justify-content-between">
                    <div>
                        <h4>Call outs & Repairs</h4>
                    </div>
                    <div class="hide-data-sidebar">
                        <i class="feather icon-x"></i>
                    </div>
                </div>
                <div class="data-items pb-3">
                    <div class="data-fields px-2 mt-3">
                        <section id="data-list-view" class="data-list-view-header">

                            <!-- DataTable starts -->
                            <div class="table-responsive">
                                @include('jobs.callOuts.listingTable', ['callOuts' => $object->callOuts, 'createRoute' =>route('call-out-create')])
                            </div>
                            <!-- DataTable ends -->
                            {{-- @include('clients.sidebar-create') --}}
                        </section>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="data-list-view-header">
        <div class="add-new-data-sidebar" id="sidebar-address">

            <div class="add-new-data js-sidebar-content w-50">

                <div class="div mt-2 px-2 d-flex new-data-title justify-content-between">
                    <div>
                        <h4>Address</h4>
                    </div>
                    <div class="hide-data-sidebar">
                        <i class="feather icon-x"></i>
                    </div>
                </div>
                <div class="data-items pb-3">
                    <div class="data-fields px-2 mt-3">
                        Add/Edit Address
                    </div>
                </div>
            </div>
        </div>
    </section>

    <b-sidebar id="sidebar-po-received" bg-variant="white" title="Customer Purchase Orders" right shadow backdrop class="bg-white" width="85%">
        <div class="px-1 py-2">
            <div class="data-list-view-header">
                <div class="table-responsive">
                    @include('customerPurchaseOrders.listingTable', ['createRoute' => route('customer-purchase-order-create'). '?clientId=' . $object->id, 'fetchUrl' => route('site-ajax-fetch-customer-purchase-orders')])
                </div>
            </div>
        </div>
    </b-sidebar>
@endsection

@section('vendor-script')
    {{-- Vendor js files --}}
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/extensions/dropzone.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.buttons.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.bootstrap4.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/dataTables.select.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/tables/datatable/datatables.checkboxes.min.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('vendors/js/charts/apexcharts.min.js') }}"></script>
    {{-- <script src="https://cdn.jsdelivr.net/npm/apexcharts"></script> --}}

@endsection

@section('page-script')
    <script>
        window.turnOverChart = {!! json_encode($object->getTurnOverGraphDataStructure(4, null)) !!}
        window.pageData = {!! json_encode($object) !!};
        window.pageData.parent_class = "Site";
        window.pageData.parent_id = {{ $object->id }};
        window.pageData.address_types = {!! json_encode($object->getAddressTypes()) !!};
        window.pageData.pricingPageInfo = {!! json_encode($object->getNotesByType('pricingPageInfo')->get()->first()) !!} || {
            'type':'pricingPageInfo',
            'content':'',
            'updated_at':'',
            'updated_by':null
        };

    </script>
    <script>

    </script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/datatables/datatable.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/ui/data-list-view.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/extensions/dropzone.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/navs/navs.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/pages/dashboard-ecommerce.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/pages/app-invoice.js') }}"></script>
    <script src="{{ \App\Helpers\Helpers::assetLink('js/scripts/datatables/ajaxIndexTable.js') }}"></script>
@endsection
