@extends('layouts.contentLayoutMaster')

@section('title')
    Create a Supplier
@endsection

@php
    $breadcrumbs = [
        [
            'link'=>route('suppliers'),
            'name' =>'Suppliers'
        ]
    ]
@endphp

@section('vendor-style')
    <link rel="stylesheet" href="{{ \App\Helpers\Helpers::assetLink('vendors/css/forms/select/select2.css') }}">
@endsection

@section('content')

    @include('elements.messages-error')

    {!! Form::open(['route' => ['supplier-store'], 'method' => 'post', 'class' => 'form form-vertical', 'novalidate']) !!}
    @csrf
    <div class="form-body">

        <!-- // Basic multiple Column Form section start -->
        <section id="multiple-column-form">
            <div class="row match-height">

                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title">Supplier Details</h4>
                        </div>
                        <div class="card-content">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('name', 'Company Name') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('name', old('name'), [
                                                        'id' => 'name',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['name'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('email', 'Email') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::email('email', old('email'), [
                                                        'id' => 'email',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['email'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('website', 'Website') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('website', old('website'), [
                                                        'id' => 'website',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['website'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('telephone', 'Telephone') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('telephone', old('telephone'), [
                                                        'id' => 'telephone',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['telephone'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('fax', 'Fax') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('fax', old('fax'), [
                                                        'id' => 'fax',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['fax'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-6">
                                        <div class="form-group">
                                            {!! Form::label('client_manager_id', 'Client Manager *') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::select('client_manager_id', $clientManagers['options'], old('client_manager_id', app('request')->input('client_manager_id') != null ? app('request')->input('client_manager_id') : null),
                                                    [
                                                        'id' => 'client_manager_id',
                                                        'class' => 'select2 form-control',
                                                    ] + $validationRules['client_manager_id'], $clientManagers['optionAttributes'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <div class="card">
                        <div class="card-content">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-12">
                                        <button type="submit" class="btn btn-primary mr-1 mb-1">Create</button>
                                        <a class="btn btn-flat-dark mb-1 p-1" href="{{route('suppliers')}}">Cancel</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

    </div>
    {{ Form::close() }}

@endsection

