@extends('layouts.contentLayoutMaster')

@section('title')
    Email Sync for user: {{$user->fullName}}
@endsection

@php
    $breadcrumbs = [
        [
            'link'=>route('users'),
            'name' =>'Users'
        ]
    ]    
@endphp

@section('content')

    {!! Form::model($user, ['route' => ['user-email-sync-process', $user->id], 'method' => 'post', 'class' => 'form form-vertical', 'novalidate']) !!}
    <section id="multiple-column-form">

        <div class="row match-height">
            <div class="col-md-6 col-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Email Login Details</h4>
                    </div>
                    <div class="card-content">
                        <div class="card-body">
                            <div class="form-body">
                                <div class="row">
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('email', 'Email *') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::text('email', old('email'), [
                                                        'id' => 'email',
                                                        'class' => 'form-control',
                                                        'placeholder' => 'e.g. john.doe@example.com',
                                                    ] + $validationRules['email'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-12">
                                        <div class="form-group">
                                            {!! Form::label('password', 'Password *') !!}
                                            <div class="controls">
                                                {!!
                                                    Form::password('password', [
                                                        'id' => 'password',
                                                        'class' => 'form-control',
                                                    ] + $validationRules['password'])
                                                !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-content">
                        <div class="card-body">

                            <div class="row">

                                <div class="col-12">
                                    <button type="submit" class="btn btn-primary mr-1 mb-1">Sync</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    {{ Form::close() }}
@endsection
