@php 
    
    $customer = $data->worksheetable? $data->worksheetable->site : null; 
    
    if (!$customer) {
        $customer = $data->worksheetable? $data->worksheetable->client : null;
    }

    $customerName = ($customer->site_name) ? $customer->site_name : $customer->company_name;
    
    $registeredAddress = ($customer && $customer->registeredAddress) ? $customer->registeredAddress : null;
    $billingAddress = ($customer && $customer->billingAddress) ? $customer->billingAddress : null;
    $jobAddress = ($data->worksheetable->registeredAddress) ? $data->worksheetable->registeredAddress : null;

    $opportunity = $data->worksheetable->opportunity; 
    $purchaseOrder = $data->worksheetable->purchaseOrder; // to get Order number and (contact if opportunity is null)
    

    //to get the contact -> check opportunity first, if null, then get from purchase order
    $contact = ($opportunity) ? $opportunity->contact : null;
    
    $contact = (empty($contact) && $purchaseOrder) ? $purchaseOrder->contact : $contact;

    $visitDate = $data->worksheetable->visit_date ? date_format( new DateTime($data->worksheetable->visit_date), "d F Y") : 'N/A';

    //dd( $data->worksheetable, $customer, $registeredAddress, $billingAddress, $refNumber, $opportunity, $purchaseOrder, $contact); 

@endphp

<div class="quote--header first-page-header mb-2" style="margin-bottom: 10px; margin-top: -220px;">

    @include("pdfTemplates.brandingHeader")

    <div class="" style="padding-top:20px; clear: right; width: 100%;">
            <div class="companyDetails">
                <div class="" style="float: right; width: 230px;">
                    
                    <div class="d-flex align-items-center mb-1">
                        <span class="title  mr-1">Inv. No.:</span> <b>N/A</b><br>
                        <span class="title  mr-1">Our Ref.:</span> <b>{{$refNumber}}</b><br>
                        <span class="title  mr-1">Order No.:</span> <b>{{$purchaseOrder->name}}</b><br>
                        <span class="title  mr-1">Visit Date:</span> <b>{{ $visitDate}}</b><br>
                        @if($contact)
                            <span class="title  mr-1">Contact:</span> <b>{{$contact->fullName}}</b><br>
                            @if($contact->telephone)
                            <span class="title  mr-1">Phone:</span> <b>{{$contact->telephone}}</b><br>
                            @endif
                        @endif
                    </div>
                </div>
                <div style="float:left;">
                    <h2 style="margin:0 0 10px 0;">{{$title}}</h2>
                    <h4 style="margin:0 0 5px 0;">{{$customerName}}</h4>
                </div>
                <div class="" style="clear:left; margin-top: 10px; margin-right: 250px;">

                    @if ($registeredAddress || $billingAddress)
                        <div class="mb-2">
                            
                            @if($registeredAddress)
                                <div class="mb-1">
                                    <span class="title  mr-1">Company Address:</span><br>
                                    <b>{{$registeredAddress->fullAddress}}</b>
                                </div>
                            @endif
                            @if($billingAddress)
                                <div class="mb-1">
                                    <span class="title  mr-1">Invoice Address:</span><br>
                                    <b>{{$billingAddress->fullAddress}}</b>
                                </div>
                            @endif
                            @if($jobAddress)
                                <div class="mb-1">
                                    <span class="title  mr-1">Job Location:</span><br>
                                    <b>{{$jobAddress->fullAddress}}</b>
                                </div>
                            @endif
                        </div>
                    @endif
                </div>
            </div>
    </div>

</div>
